%define fontname stix
%define fontname_cap STIX
%define _fontdir %{_datadir}/fonts/OpenType-%{fontname}

Name: OpenType-%{fontname}
Summary: the Scientific and Technical Information eXchange fonts
Summary(ja): 数式用のフリーなフォント STIX フォント
Version: 1.0.0
Release: 1%{?_dist_release}
License: OFL
Group: User Interface/X
URL: http://www.stixfonts.org/

Source0: %{fontname_cap}v%{version}.zip

BuildRequires: unzip
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: OpenType-%{fontname}-doc

%description
The mission of the Scientific and Technical Information Exchange (STIX) font
creation project is the preparation of a comprehensive set of fonts that
serve the scientific and engineering community in the process from manuscript
creation through final publication, both in electronic and print formats.

%package doc
Summary: STIX font Document
Summary(ja): STIX フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for STIX font
includes enduser license.

%description -l ja doc
このパッケージには STIX フォントのライセンスを含む
ドキュメント類が含まれています。

%prep
%setup -q -n %{fontname_cap}v%{version}
%__tar cjf %{name}-documents.tar.bz2 Blocks/ Glyphs/ HTML/ \
       STIX\ Font\ Release\ Documentation\ 2010.pdf

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a Fonts/*.otf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/*.otf

%files doc
%doc License/STIX\ Font\ License\ 2010.pdf
%doc %{name}-documents.tar.bz2

%changelog
* Tue Aug 24 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.0-1
- initial build for VineSeed
