Summary: SDL portable network library
Name: SDL_net
Version: 1.2.7
Release: 2%{?_dist_release}
Source0: %{name}-%{version}.tar.gz
URL: http://www.libsdl.org/projects/SDL_net/
License: LGPL
Group: System Environment/Libraries

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: SDL >= 1.2.4
BuildRequires: sane
BuildRequires: libtool autoconf automake
Requires: SDL

%description
This is a portable network library for use with SDL.

%description -l ja
SDLで使用する，ポータブルなネットワークライブラリです．

%package devel
Summary: Libraries and includes to develop SDL networked applications.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This is a portable network library for use with SDL.

This is the libraries and include files you can use to develop SDL networked applications.

%description devel -l ja
SDLで使用する，ポータブルなネットワークライブラリです．

SDLでネットワークアプリケーションを開発する時に使用するライブラリや
インクルードファイルが含まれています．


%prep
%setup -q 

%build
%configure --disable-gui
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc README CHANGES COPYING
%{_libdir}/lib*.so
%{_includedir}/SDL/

%changelog
* Mon Sep 20 2010 IWAI, Masaharu <iwai@alib.jp> 1.2.7-2
- remove *.a

* Sat Sep 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.7-1
- new upstream release
- applied new versioning policy
- spec in UTF-8

* Mon Jan 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.6-0vl1
- new upstream release
- s/Copyright/License/
- added %post and %postun section

* Wed May 05 2004 Satoshi MACHINO <machino@vinelinux.org> 1.2.5-0vl2
- added japanese description
- built by SDL-1.2.7

* Sat May 10 2003 Satoshi MACHINO <machino@vinelinux.org> 1.2.5-0vl1
- new upstream version
- added libtool autoconf automake sane in BuildPreReq

* Thu Apr 30 2002 Satoshi MACHINO <machino@vinelinux.org> 1.2.4-1vl1
- build on VineLinux
- added BuildPreReq:
- used rpmmacro

* Sat Feb  3 2001 Paul S Jenner <psj@firstlinux.net>
- First spec file based on SDL spec file

