Summary: Kill and destroy as many targets as possible within 3 minutes
Summary(ja): 3分間で出来るだけ多くの敵を倒すゲーム
Name: barrage
Version: 1.0.1
Release: 2%{?_dist_release}
License: GPL
Group: Applications/Games
Source: %{name}-%{version}.tar.gz
Source1: %{name}.desktop
Source2: %{name}.bmp
URL: http://lgames.sourceforge.net/index.php?project=Barrage
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux
Packager: OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp>
BuildRequires:	SDL-devel >= 1.2.0
Requires:	SDL >= 1.2.0
BuildRequires:	SDL_mixer-devel >= 1.2.0
Requires:	SDL_mixer >= 1.2.0

%description
Barrage is a rather violent action game with the objective to kill
and destroy as many targets as possible within 3 minutes. The player
controls a gun that may either fire small or large grenades at
soldiers, jeeps and tanks. It is a very simple gameplay though it is
not that easy to get high scores.

%description -l ja
かなり暴力的なゲーム。
砲台を操作して大小の手榴弾を発射し、
3分間で出来るだけ多くの兵士、ジープ、戦車を倒そう。
操作はとても簡単ですが、高得点を取るのはなかなか困難です。

%prep
%setup

%build
./configure --prefix=%{prefix}
make

%install
rm -fR $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# add desktop
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -p -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# add desktop icon
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -p -m0644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.bmp

%clean
rm -fR $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{prefix}/share/games/*
%{prefix}/bin/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.1-2vl5
- applied new versioning policy, spec in utf-8

* Mon Oct  9 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.1-1vl2
- rebuilt for Vine Linux 4.0
- changed Group to Applications/Games

* Tue Jan 25 2005 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp>
- 1.0.1-1vl1
- add icon
- change desktop entry
- based on original src.rpm package
