Name:             bibutils
Version:          3.37
Release:          1%{?_dist_release}
Summary:          bibliography conversion utilities
Summary(ja):      文献データ変換ユーティリティ
License:          GPL
Distribution:     Vine Linux
Vendor:           Project Vine
Group:            Applications/Text
Source:           %{name}_%{version}_src.tgz
URL:              http://www.scripps.edu/~cdputnam/software/bibutils/
BuildRoot:        %{_tmppath}/%{name}-%{version}-root

%description
The bibutils program set interconverts between various bibliography
formats using a common XML intermediate. For example, one can convert
RIS-format files to Bibtex by doing two transformations:
RIS->MODS->Bibtex. These programs operate on the command line and are
styled after standard UNIX-like filters.

%description -l ja
bibutilsは様々な文献データ形式をXMLを通じて相互変換するプログラムです。
例えば、RIS形式をBib形式に変換するには、RIS->MODS->Bibtex と二回変換を
行います。プログラムは標準的なUNIXのコマンドと同じように使うことができます。

%prep

%setup -n %{name}_%{version}

%build
./configure --install-dir $RPM_BUILD_ROOT%{_bindir}
%{__make}

%install
%{__install} -d $RPM_BUILD_ROOT%{_bindir}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root) 
%doc COPYING ChangeLog
%{_bindir}/* 

%changelog
* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 3.37-1vl5
- applied new versioning policy, spec in utf-8

* Sun Aug 26 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 3.37-0vl2
- changed Group to Applications/Text

* Sun Aug 26 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 3.37-0vl1
- Updated to 3.37

* Mon Jun  4 2007 Susumu Tanimura <aruminat@gmail.com> - 3.33-0vl2
- Updated to 3.33

* Mon Dec  4 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Updated to 3.27

* Wed Nov 16 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Initial package for VineLinux3.2

