%define name blockrage
%define version 0.2.3
%define release 1%{?_dist_release}

Summary: Block Rage is a "falling-blocks" arcade game,
Summary(ja): コラムスみたいなゲーム
Name: %{name}
Version: %{version}
Release: %{release}
#Source0: %{name}-%{version}.tar.bz2
Source0: %{name}-%{version}.tar.gz
License: GNU General Public License
Group: Applications/Games
URL: http://blockrage.sourceforge.net/

Requires: SDL >= 1.2.0
BuildRequires:  SDL-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Block Rage is a "falling-blocks" arcade game, inspired by a DOS
classic. It features a two-player hotseat mode. In the future
it should also feature nice graphics and sound.

#%desctiption -l ja


%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q

%build
./configure \
    --bindir=/usr/bin \
    --sysconfdir=/usr/share/games \
    --datadir=/usr/share/games \
    --mandir=%{_mandir}
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install
mkdir -p ${RPM_BUILD_ROOT}/usr/share/applications
cat >  ${RPM_BUILD_ROOT}/usr/share/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Block Rage
Comment=Block Rage is a "falling-blocks" arcade game.
TryExec=blockrage
Exec=/usr/bin/blockrage
Icon=
Terminal=0
Type=Application
Categories=GNOME;Application;Game
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
/usr/share/games/blockrage
/usr/bin/blockrage
/usr/share/applications/%{name}.desktop
%{_mandir}/man6/blockrage.6.gz


%changelog
* Sat Sep 06 2008 Shu KONNO <owa@bg.wakwak.com> 0.2.3-1vl5
- applied new versioning policy, spec in utf-8
- updated man-path to %%{_mandir}

* Sun Jun 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 0.2.3-0vl2
- rebuild for VineSeed

* Tue Mar 9 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 0.2.3-0vl1
- initial build for Vine Linux

# * Tue Oct 25 2005 0.2.3-0vl1
# - update

# * Mon Sep 26 2005 0.2.2-0vl1
# - initial build for Vine Linux

# end of file
