Name:	bluez-firmware
Version: 1.2
Release: 3%{?_dist_release}
Summary:     Broadcom BCM2033 Firmware - Bluetooth(TM) 
Summary(ja): Broadcom BCM2033ファームウェア - Bluetooth(TM)
License:  GPL
Group:          System Environment/Kernel
### spec file for package bluez-firmware (Version 1.2)
# bese Mandriva Linux

URL:            http://bluez.sourceforge.net
Source:         http://bluez.sf.net/download/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Provides:	bluez-bluefw
Obsoletes:	bluez-bluefw

#----------------------------------------------------------------------------
%description
Bluetooth(TM) Firmware. Package contains firmware images for some
   Bluetooth(TM) adapters. Currently supported are: * Broadcom
   Corporation BCM2033

* AVM Computersysteme Vertriebs GmbH BLUEFRITZ! USB
The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., USA.

%description -l ja
 Bluetooth(TM)ファームウェア
 このパッケージは Broadcom社製チップを搭載した Bluetoothアダプターの
 為のファームウェアです。BCM2033をサポートしています。

* AVM Computersysteme Vertriebs GmbH BLUEFRITZ! USB
The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., USA.

#----------------------------------------------------------------------------
%prep
%setup -q

%build
#org# %configure
%configure  --mandir=%{_mandir}
make
#org# %make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog 
%{_libdir}/firmware/*

#----------------------------------------------------------------------------
# Maintainers: babasaki@mindgear.org
#
#----------------------------------------------------------------------------
%changelog
* Fri Sep 26 2008 Seiichirou Babasaki 1.2-3
- added "# Maintainers: " comments.
- changed UTF-8 encode at bluez-firmware.vs.spec
- updated specfile

* Fri Jun 13 2008 Seiichirou Babasaki 1.2-2
- updated specfile

* Wed Jan 16 2008 Seiichirou Babasaki 1.2-1vl1
- Import bluez-firmware - Packager: Babasaki
- updated specfile

* Thu Mar 01 2007 Emmanuel Andry <eandry@mandriva.org> 1.2-1mdv2007.0
+ Revision: 130847
- Import bluez-firmware

