Name: ccache
Version: 2.4
Release: 1%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux
License: GPL
Group: Development/Tools
URL: http://ccache.samba.org/
Source0: http://ccache.samba.org/ftp/ccache/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
#Requires:
#BuildPrereq:
Summary: a fast compiler cache

%description
ccache is a compiler cache. It acts as a caching pre-processor to C/C++
compilers, using the -E compiler switch and a hash to detect when a compilation
can be satisfied from cache. This often results in a 5 to 10 times speedup in
common compilations.

%prep
%setup -q

%build
%configure
%__make

%install
%__rm -rf %{buildroot}
%makeinstall

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc
%{_bindir}/*
%{_mandir}/man?/*

%changelog
* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com>
- applied new versioning policy

* Tue Feb 15 2004 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 2.4-0vl1
- Import from Vine 2.6 (But, original spec file has no changelog)
- New upstream version

