Name:           compizconfig-backend-gconf
Version:        0.8.4
Release:        1%{?_dist_release}
Summary:        GConf backend for compizconfig
Summary(ja):    compizconfig の GConf バックエンド

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.opencompositing.org

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  libcompizconfig-devel = %{version}, GConf2-devel
BuildRequires:  intltool, libtool
# backend-gconf requires the gconf schemas from compiz-gnome to work
Requires:       compiz-gnome

# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64 

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
through plugins and themes contributed by the community giving a
rich desktop experience.

This package contains the Gconf backend for libcompizconfig

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/compizconfig/backends/libgconf.so

%changelog
* Sat Nov 06 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.4-1
- new upstream release

* Mon May 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.2-1
- new upstream release

* Sat Oct 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.8-1
- new upstream release

* Wed Jun 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.6-1
- new upstream release

* Mon May 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.4-1
- new upstream release

* Sat May 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.2-1
- initial build for Vine Linux

* Tue Mar 25 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.2-1
- 0.7.2 update

* Wed Jan 09 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-4
- patched also the configure script

* Tue Jan 08 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-3
- applied gcc43 buildfix

* Thu Oct 25 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-2
- added Requires compiz-gnome for the gconf schemas

* Wed Oct 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-1
- official 0.6.0 release


* Sat Oct 20 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.2.20071019git
- removed AUTHORS & INSTALL
- removed glib BR

* Fri Oct 19 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.1.20071019git
- 0.6.0 branch

* Tue Aug 14 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.1
- Initial package
