Summary:      a program to remove TeX constructs
Summary(ja):  TeXコマンドを取り除くプログラム
Name:         detex
Version:      2.8
Release:      1%{?_dist_release}
URL:          http://www.cs.purdue.edu/homes/trinkle/detex/
License:      distributable
Group:        Applications/Text
Source:       http://www.cs.purdue.edu/homes/trinkle/detex/detex-2.8.tar
Patch0:       detex-2.8-malloc.patch
Buildroot:    %{_tmppath}/%{name}-%{version}-root
BuildRequires: sed flex

Vendor:       Project Vine
Distribution: Vine Linux


%description
Detex is a program to remove TeX constructs from a text file.  
It recognizes the \input command.

This program assumes it is dealing with LaTeX input if it sees the string
"\begin{document}" in the text.  It recognizes the \include and \includeonly
commands.


%description -l ja
LaTeX 文書から LaTeX コマンドを取り除くプログラムです。

%prep 
%setup -q 
%patch0 -p0 -b .malloc

%build
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 775 detex $RPM_BUILD_ROOT%{_bindir}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/detex

%changelog 
* Mon Sep 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8-1vl5
- new upstream release
- added Patch0 for compiling new toolchains
- added BuildRequires: sed flex
- applied new versioning policy
- spec in UTF-8

* Sun Jul 15 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.7-0vl3
- build with new toolchains
- to use License instead of Copyright

* Thu Jan  4 2001 Jun Nishii <jun@vinelinux.org>
- 2.7-0vl2
- build with gcc

* Wed Jan  3 2001 Jun Nishii <jun@vinelinux.org>
- 2.7-0vl1
- first build

