Summary: a lightweight web browser based on LFTK2
Summary(ja): FLTK2ベースの軽量webブラウザ
Name: dillo
#Version: 0.7.3
Version: 2.2
Release: 1%{?_dist_release}
URL: http://www.dillo.org/
Source0: http://www.dillo.org/download/%{name}-%{version}.tar.bz2
Patch0: http://teki.jpn.ph/pc/software/dillo-0.7.3-i18n-misc-20031219.diff.bz2
License: GPLv3
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: fltk2-devel

%description
- Dillo is a multi-platform  graphical web browser known for its speed and small footprint.
- Dillo is written in C and C++. 
- Dillo is based on FLTK2, the Fast Light Toolkit (statically-linked by default!).
- Dillo is free software made available under the terms of the GNU General Public License (GPLv3).
- Dillo strives to be friendly both to users and developers.
- Dillo helps web authors to comply with web standards by using the bug meter.

%prep
%setup -q
#%patch0 -p 1

%build
#configure --enable-meta-refresh --enable-web-search --program-prefix=
%configure
%__make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
#%{find_lang} %{name}

%clean
rm -rf %{buildroot}

#%files -f %{name}.lang
%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/dillorc
%config(noreplace) %{_sysconfdir}/dpidrc
%config(noreplace) %{_sysconfdir}/keysrc
#%{_bindir}/dillocfg
#%{_bindir}/bm_srv12
%{_bindir}/dillo
%{_bindir}/dpid
%{_bindir}/dpidc
%dir %{_libdir}/dillo
%{_libdir}/dillo/dpi/*
%{_docdir}/dillo/*
%{_mandir}/man1/dillo.*

%changelog
* Sat May 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.2-1
- updated dillo to 2.2
- applied new versioning policy, and spec in utf-8
- changed license to GPL3
- updated Summary and %%description
- dropt Patch0: dillo-0.7.3-i18n-misc-20031219.diff.bz2

* Mon Dec 29 2003 IWAI, Masaharu <iwai@alib.jp> 0.7.3-0vl1
- Initial build.

