Name: eiciel
Version: 0.9.6.1
Summary: Eiciel - GNOME File ACL editor
Source: http://rofi.roger-ferrer.org/eiciel/download/%{name}-%{version}.tar.bz2
Release: 1%{?_dist_release}
Group: Applications/System
License: LGPL
URL: http://rofi.roger-ferrer.org/eiciel/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++ pkgconfig libacl-devel gtkmm2-devel libgnome-devel
BuildPrereq: libgnomeui-devel

%description
Eiciel allows you to visually edit file ACL entries. You can add
and remove users and groups who will be granted permissions through
the graphical interface.

%prep
%setup -q

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/nautilus/extensions-2.0/*.so
%{_datadir}/applications/*
%{_datadir}/eiciel/img/*
%{_datadir}/gnome/help/eiciel/C/*
%{_datadir}/locale/*
%{_mandir}/man1/*

%changelog
* Wed Jun 18 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.6.1-1
- initial release
