%define fontdir %{_datadir}/fonts/%{name}/

Summary: freefonts - collection of free ATM fonts
Name: freefonts
Version: 0.10
Release: 5%{?_dist_release}
Source: ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz
License: distributable
Group: User Interface/X
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Requires: chkfontpath

%description
This is a collection of 79 freely available fonts. All of them were found in
the CICA archives for Windows.

Some of them are missing special characters, some only contain capitals,
some contain special alphabets. Be careful and check!

The collection was motivated by the lack of good fonts for Linux especially X11
and ghostscript. Scaled bitmaps look really ugly!

#%description -l ja

%prep
%setup -n freefont
rm -rf ${RPM_BUILD_ROOT}

%build

%install

mkdir -p ${RPM_BUILD_ROOT}/%{fontdir}
cp *.pfb fonts.dir ${RPM_BUILD_ROOT}/%{fontdir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/usr/sbin/chkfontpath -q -a %{fontdir}

%postun
if [ "$1" = "0" ]; then
	[ -f %{fontdir}/fonts.dir ] && exit 0
        /usr/sbin/chkfontpath -q -r %{fontdir}
fi
 
%files
%defattr(-, root, root)
%{fontdir}

%doc Fontmap README *.license

%changelog
* Thu Jul 16 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.10-5
- added Requires: chkfontpath

* Tue Jul  1 2008 KATO Masashi <mkato@par.odn.ne.jp>  0.10-4
- applied new versioning policy
- build for xorg-x11-7.3
  - change font location to %{_datadir}/fonts/%{name}
- changed Source URL

* Sat Jul 22 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- changed Group to User Interface/X
- s/Copyright/License/
- used more macros

* Mon Mar  6 2000 Jun Nishii <jun@vinelinux.org>
- added chkdfontpath
- rebuild for Vine Linux 2.0

* Mon Jul  5 1999 Naoki Kawakami <knao@ps.namco.co.jp>
- added fonts.dir
- i386 -> noarch

* Wed Jun 30 1999 Naoki Kawakami <knao@ps.namco.co.jp>
- first release
