%define __name geanygdb

Summary:       Geany plugin to provide integrated debugging environment using the GNU debugger
Summary(ja):       GNU デバッガを使い統合的デバッグ環境を提供する Geany プラグイン
Name:          geany-plugin-gdb
Version:       0.0.2
Release: 2%{?_dist_release}
License:       GPLv2
Group:         Development/Tools
Source:   http://plugins.geany.org/geanygdb/%{__name}-%{version}.tar.gz
URL:           http://plugins.geany.org/%{__name}/
BuildRoot:     %{_tmppath}/%{__name}-%{version}-root
Requires:      geany >= 0.16
Requires:      gdb
BuildRequires: geany-devel
BuildRequires: gtk2, gtk2-devel
BuildRequires: intltool libtool gettext

%description
Geanygdb is plugin to provide integrated debugging environment
using the GNU debugger.

%description -l ja
Geanygdb は GNU デバッガを使い統合的デバッグ環境を提供する Geany プラグインです。

%prep
%setup -q -n %{__name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
%__rm -Rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_libdir}/geany/
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/locale/

./libtool --silent --mode=install /usr/bin/install -c ./src/geanygdb.la \
	$RPM_BUILD_ROOT%{_libdir}/geany/geanygdb.la
mv ./po/de.gmo ./po/geanygdb_de.mo

install -m 0755 ./po/*.mo $RPM_BUILD_ROOT%{_datadir}/locale/

#remove .la file before packaging 
rm -rf $RPM_BUILD_ROOT%{_libdir}/geany/geanygdb.la

%clean
%__rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/geany/geanygdb.so
%{_datadir}/locale/*

%changelog

* Wed Aug 19 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.0.2-2vl5
- rebuilt with geany-0.18

* Sat Jun 20 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.0.2-1vl5
- initial build for VineSeed
