%define gimphelpver 2-0.12
%define gimpsubver 2.0

Summary: Help files for the GIMP.
Name: gimp-help
#Version: %(echo %gimphelpver|sed 's/-/.0./')
Version: 2.4.2
Release: 1%{?_dist_release}
License: GNU FDL
Group: Applications/Documentation
URL: http://wiki.gimp.org/gimp/GimpDocs
Source: ftp://ftp.gimp.org/pub/gimp/help/gimp-help-%{version}.tar.bz2
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
BuildRequires: gimp-devel >= 2.0
Requires: gimp >= 2.0

%description
The GIMP User Manual is a newly written User Manual for the GIMP.

%prep
%setup -q 

%build
%configure
make

%install
rm -rf %buildroot
make install DESTDIR=$RPM_BUILD_ROOT
#makeinstall GIMP_DATADIR=%{buildroot}%{_datadir}/gimp/%{gimpsubver}

%clean
rm -rf %buildroot

%files
%defattr (-, root, root)
%dir %{_datadir}/gimp
%dir %{_datadir}/gimp/%{gimpsubver}
%{_datadir}/gimp/%{gimpsubver}/help

%changelog
* Tue Apr 14 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.2-1
- new upstream release
- applied new versioning policy
- changed Group to Applications/Documentation

* Wed Apr 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.12-0vl1
- initial build for Vine Linux

* Thu Jan 04 2007 Nils Philippsen <nphilipp@redhat.com> - 2-0.1.0.11
- version 2-0.11
- add disttag

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2-0.1.0.10.1.1
- rebuild

* Mon Apr 24 2006 Nils Philippsen <nphilipp@redhat.com>
- version 2-0.10

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Oct 21 2005 Nils Philippsen <nphilipp@redhat.com>
- version 2-0.9

* Wed Feb 23 2005 Nils Philippsen <nphilipp@redhat.com>
- version 2-0.7

* Sat Jan 15 2005 Nils Philippsen <nphilipp@redhat.com>
- version 2-0.6

* Fri Jul 02 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2-0.3

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr 02 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2-0.2

* Wed Mar 17 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2-0.1
- initial build
