Name:           gnome-do-plugins
Version:        0.8.2
Release:        2%{?_dist_release}
Summary:        Plugins for GNOME Do
Summary(ja): 	GNOME Do 用のプラグイン
Group:          Applications/Accessories
License:        GPLv3
URL:            http://do.davebsd.com
Source0:        http://edge.launchpad.net/do-plugins/trunk/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		gnome-do-0.8.2-fix-Makefile.in.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel ndesk-dbus-glib gnome-do-devel
#BuildRequires:  flickrnet-devel banshee-devel evolution-sharp-devel
BuildRequires:  gnome-sharp2 gtk-sharp2 gnome-desktop-sharp2
BuildRequires:  gnome-keyring-sharp-devel mono-addins
BuildRequires:  notify-sharp-devel wnck-sharp
BuildRequires:  intltool 

Packager:	kazutaka

%description
This package contains various plugins for GNOME Do.

%description -l ja
このパッケージは Gnome Do 用の複数のプラグインを含んでいます。

#%package banshee
#Summary:	gnome-do plugin for banshee
#Group:		Applications/Accessories
#Requires:	gnome-do >= %{version} banshee
#
#%description banshee
#gnone-do plugins for banshee

#%package bibtex
#Summary:	gnome-do plugin for bibtex	
#Group:		Applications/Accessories
#Requires:	gnome-do >= %{version} bibtex
#
#%description bibtex
#gnome-do plugins for bibtex

#%package clawsmail
#Summary:	gnome-do-plugins for clawsmail
#Group:		Applications/Accessories
#Requires:	gnome-do >= %{version} claws-mail
#
#%description clawsmail
#gnome-do plugins for clawsmail

%package epiphany
Summary:        gnome-do-plugins for epiphany
Summary(ja):     GNOME Do の epiphany プラグイン
Group:          Applications/Accessories
Requires:       gnome-do >= %{version} epiphany

%description epiphany
gnome-do plugins for epiphany

%description epiphany -l ja
GNOME Do の epiphany プラグイン

#%package evolution
#Summary:        gnome-do-plugins for evolution
#Group:          Applications/Accessories
#Requires:       gnome-do >= %{version} evolution
#
#%description evolution
#gnome-do plugins for evolution

%package eog
Summary:        gnome-do-plugins for Eye of Gnome
Summary(ja):     GNOME Do の Eye of Gnome プラグイン
Group:          Applications/Accessories
Requires:       gnome-do >= %{version} eog

%description eog
gnome-do plugins for Eye of Gnome

%description eog -l ja
GNOME Do の Eye of Gnome プラグイン

%package firefox
Summary:        gnome-do-plugins for firefox
Summary(ja):     GNOME Do の firefox プラグイン
Group:          Applications/Accessories
Requires:       gnome-do >= %{version} firefox

%description firefox
gnome-do plugins for firefox 

%description firefox -l ja
GNOME Do の firefox プラグイン

#%package flickr
#Summary:        gnome-do-plugins for flickr
#Group:          Applications/Accessories
#Requires:       gnome-do >= %{version} flickrnet
#
#%description flickr
#gnome-do plugins for flickr

%package pidgin
Summary:        gnome-do-plugins for pidgin
Summary(ja):     GNOME Do の pidgin プラグイン
Group:          Applications/Accessories
Requires:       gnome-do >= %{version} pidgin

%description pidgin
gnome-do plugins for pidgin 

%description pidgin -l ja
GNOME Do の pidgin プラグイン

%package rhythmbox
Summary:        gnome-do-plugins for rhythmbox
Summary(ja):     GNOME Do の rhythmbox プラグイン
Group:          Applications/Accessories
Requires:       gnome-do >= %{version} rhythmbox

%description rhythmbox
gnome-do plugins for rhythmbox

%description rhythmbox -l ja
GNOME Do の rhythmbox プラグイン

%package tomboy
Summary:        gnome-do-plugins for tomboy
Summary(ja):     GNOME Do の tomboy プラグイン
Group:          Applications/Accessories
Requires:       gnome-do >= %{version} tomboy

%description tomboy
gnome-do plugins for tomboy 

%description tomboy -l ja
GNOME Do の tomboy プラグイン

%package thunderbird
Summary:        gnome-do-plugins for thunderbird
Summary(ja):     GNOME Do の thunderbird プラグイン
Group:          Applications/Accessories
Requires:       gnome-do >= %{version} thunderbird

%description thunderbird
gnome-do plugins for thunderbird

%description thunderbird -l ja
GNOME Do の thunderbird プラグイン

#%package tasque
#Summary:        gnome-do-plugins for tasque 
#Group:          Applications/Accessories
#Requires:       gnome-do >= %{version} tasque
#
#%description tasque
#gnome-do plugins for tasque

%package vinagre
Summary:        gnome-do-plugins for vinagre
Summary(ja):     GNOME Do の vinagre プラグイン
Group:          Applications/Accessories
Requires:       gnome-do >= %{version} vinagre

%description vinagre
gnome-do plugins for vinagre

%description vinagre -l ja
GNOME Do の vinagre プラグイン


%prep
%setup -q
%patch0 -p1 -b .fix

%build
%configure \
        --disable-banshee \
        --disable-evolution \
        --disable-flickr \
        --disable-gcal \
        --disable-gmail \
        --disable-gdocs \
        --disable-youtube
           
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

#%files banshee
#%defattr(-, root, root,-)
#%{_libdir}/gnome-do/plugins/*Banshee*

#%files bibtex
#%defattr(-, root, root,-)
#%{_libdir}/gnome-do/plugins/*Bibtex*

#%files clawsmail
#%defattr(-, root, root,-)
#%{_libdir}/gnome-do/plugins/*ClawsMail*

%files epiphany
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/Epiphany*

#%files evolution
#%defattr(-, root, root,-)
#%{_libdir}/gnome-do/plugins/*Evolution*

%files eog
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/EOG*

%files firefox
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/Firefox*

#%files flickr
#%defattr(-, root, root,-)
#%{_libdir}/gnome-do/plugins/*Flickr*

%files pidgin
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/Pidgin*

%files rhythmbox
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/Rhythmbox*

%files tomboy
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/Tomboy*

%files thunderbird
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/Thunderbird*

#%files tasque
#%defattr(-, root, root,-)
#%{_libdir}/gnome-do/plugins/*Tasque*

%files vinagre
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Vinagre*


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS COPYRIGHT
#%exclude %{_libdir}/gnome-do/plugins/*Banshee*
%exclude %{_libdir}/gnome-do/plugins/Bibtex*
%exclude %{_libdir}/gnome-do/plugins/ClawsMail*
%exclude %{_libdir}/gnome-do/plugins/Epiphany*
#%exclude %{_libdir}/gnome-do/plugins/*Evolution*
%exclude %{_libdir}/gnome-do/plugins/EOG*
%exclude %{_libdir}/gnome-do/plugins/Firefox*
#%exclude %{_libdir}/gnome-do/plugins/*Flickr*
%exclude %{_libdir}/gnome-do/plugins/Pidgin*
%exclude %{_libdir}/gnome-do/plugins/Rhythmbox*
%exclude %{_libdir}/gnome-do/plugins/Tomboy*
%exclude %{_libdir}/gnome-do/plugins/Thunderbird*
%exclude %{_libdir}/gnome-do/plugins/Tasque*
%exclude %{_libdir}/gnome-do/plugins/Vinagre*
%{_libdir}/gnome-do/plugins/

%changelog
* Thu Sep  2 2010 IWAI, Masaharu <iwai@alib.jp> 0.8.2-2
- rebuild with mono-addins version 0.5

* Fri Jul 10 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.2-1
- new upstream release
- drop Patch1 (now we can disable plugins by configure option)
- add configure option to disable unnecessary plugins 
- add Patch0 to avoid error at make install

* Fri Jun 12 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.1.3-1
- initial build for Vine Linux based on fedora development
- add Patch1 to force to disable some plugins

* Mon Apr 06 2009 Huzaifa Sidhpurwala <huzaifas@redhat.com> 0.8.0.1-1
- Bump to upstream 0.8.0.1
- Split into sub-rpms for individual plugins
- Add patch for 0.8.0.1 to built.
- Some changes for packaging standard compliance

* Mon Feb 24 2009 Paul Lange <palango@gmx.de> 0.8.0-1
- Initial packaging
