Summary: GNOME Extra Themes collection
Summary(ja): GNOME 追加テーマコレクション
Name: gnome-themes-extras
Version: 2.22.0
Release: 2%{?_dist_release}
Source0: %{name}-%{version}.tar.bz2
Source1: GTK2-LighthouseWhite.tar.gz
Source2: GTK2-Smooth-Orangish.tar.gz
Source3: GTK2-H2O-default-2.0.tar.gz
URL: http://ftp.gnome.org/pub/GNOME/sources/gnome-themes-extras/
License: GPL
Group: User Interface/Desktops

BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
BuildRequires: gtk2-engines >= 2.2.0
Requires: gtk2-engines >= 2.6.0-0vl1
Conflicts: gtk2-engines < 2.2.0-0vl3
Requires: metacity >= 2.4.34-0vl2
Conflicts: metacity < 2.4.34-0vl2
Requires: gnome-themes >= 2.8.0
Conflicts: gnome-themes < 2.8.0

%description
Contains the extra themes for Gnome desktop environment.

%description -l ja
このパッケージにはGNOMEデスクトップ環境のための追加テーマ
が含まれています。

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# install LighthouseWhite
tar xzvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/themes

# install Smooth-Orangish
tar xzvf %{SOURCE2} -C $RPM_BUILD_ROOT%{_datadir}/themes

# install H2O 
tar xzvf %{SOURCE3} -C $RPM_BUILD_ROOT%{_datadir}/themes

# remove Smooth gtk2 engine (it is included in gnome-themes >= 2.8)
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/engines/libsmooth.so

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
#%{_libdir}/gtk-2.0/*/engines/*.so*
%{_datadir}/icons/*
%{_datadir}/themes/*
#%exclude %{_datadir}/themes/Industrial/gtk-2.0
%{_datadir}/locale/*/LC_MESSAGES/*


%changelog
* Tue Jun  2 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-2
- spec in UTF-8

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release
- BuildArch: noarch

* Mon Jan 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.0-0vl2
- add Requires >= 2.6.0-0vl1

* Sun Oct 24 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.0-0vl1
- new upstream release
- remove obsolete Patch10
- remove smooth gtk2 engine, requires gnome-themes >= 2.8.0

* Fri Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6-0vl3
- add Patch10 to update Smooth gtk engine from CVS.

* Fri Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6-0vl2
- rebuild with gtk+-2.4.0

* Sat Jan 31 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6-0vl1
- new upstream release

* Fri Oct  3 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3-0vl2
- GTK2-LighthouseWhite was moved from gnome-themes
- add H2O, Smooth-Orangish GTK2 themes

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3-0vl1
- new upstream release

* Fri Jun 13 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1-0vl1
- initial build for Vine Linux

