Summary:	GStreamer Streaming-media framework plugins
Summary(ja):	GStreamer ストリーミングメディアフレームワーク用プラグイン
Name:		gstreamer-plugins
Version:	0.10.0
Release:	1%{?_dist_release}
License:	LGPL
Group:		System Environment/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Requires:	gstreamer >= %{version}
Requires:	gstreamer-plugins-base >= %{version}
Requires:	gstreamer-plugins-good >= %{version}

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This is a virtual package for GStreamer plugins.

%package devel
Summary:	Libraries/include files for GStreamer plugins
Summary(ja):	GStreamer プラグインの開発用ライブラリ
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer-devel >= %{version}
Requires:	gstreamer-plugins-base-devel >= %{version}
Requires:	gstreamer-plugins-good-devel >= %{version}

%description devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This is a virtual package for GStreamer plugins depvelopment library and
header files.

%files
%defattr(-,root,root)

%files devel
%defattr(-,root,root)

%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.10.0-1vl5
- applied new versioning policy, spec in utf-8

* Sun Mar 26 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.0-0vl1
- initial build
