%define	ver	0.1
%define	rel	1
%define	svnrev	827

Summary: Generate Your Projects
Name: gyp
Version: %{ver}
Release: %{rel}.svn%{svnrev}%{?_dist_release}
License: New BSD License
Group: Development/Tools
URL: http://code.google.com/p/gyp/
# svn checkout http://gyp.googlecode.com/svn/trunk gyp
Source0: %{name}-%{version}-r%{svnrev}.tar.bz2
Patch0: gyp-0.1-r827-shebang.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: python-devel
Requires: python

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
Generate Your Projects

%prep
%setup -q -n %{name}-%{version}-r%{svnrev}
%patch0 -p 1

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE AUTHORS samples tools
%{_bindir}/gyp
%{python_sitelib}/gyp-*.egg-info
%{python_sitelib}/gyp

%changelog
* Fri Jun  4 2010 IWAI, Masaharu <iwai@alib.jp> 0.1-1.svn827
- Initial build.

