Summary:            LaTeX to html translator
Summary(ja):        LaTeXをHTMLに変換
Name:               hevea
Version:            1.08
Release:            2%{?_dist_release}
License:            Q Public License
Group:              Applications/Publishing
URL:                http://para.inria.fr/~maranget/hevea/
Source:             %{name}-%{version}.tar.gz
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Vendor:             Project Vine
Distribution:       Vine Linux
Packager:           Susumu Tanimura <stanimura-ngs@umin.ac.jp>
BuildRequires:      ocaml texlive 
Requires:           texlive ghostscript

%define		_latexheveadir		%{_datadir}/texmf/tex/latex/%{name}

%description
HEVEA is a LaTeX to HTML translator. The input language is a fairly
complete subset of LaTeX2e (old LaTeX style is also accepted) and the
output language is HTML that is (hopefully) correct with respect to
version 4.0 (transitional).

%description -l ja
HEVEA は LaTeX を HTML に変換するプログラムです．
HTML 4.0  (transitional) に変換します．

%prep
%setup -q

%build
%{__make} \
	TARGET=opt \
	LIBDIR=%{_datadir}/%{name} \
	BINDIR=%{_bindir}

%install
%makeinstall PREFIX=$RPM_BUILD_ROOT/usr
%{__install} -d $RPM_BUILD_ROOT%{_latexheveadir}
#%{__mv} -f $RPM_BUILD_ROOT%{_libdir}/%{name}/%{name}.sty $RPM_BUILD_ROOT%{_latexheveadir}
%{__mv} -f $RPM_BUILD_ROOT%{_prefix}/lib/%{name}/%{name}.sty $RPM_BUILD_ROOT%{_latexheveadir}
 
%clean
rm -rf $RPM_BUILD_ROOT

%post   -p %{_bindir}/texhash
%postun -p %{_bindir}/texhash

%files
%defattr(-,root,root,-)
%doc CHANGES README LICENSE
%{_bindir}/*
#%{_libdir}/%{name}/*
%{_prefix}/lib/%{name}/*
%{_latexheveadir}/*.sty

%changelog
* Sun Aug 08 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.08-2
- TeX Live 2009

* Sat Aug 30 2008 Shu KONNO <owa@bg.wakwak.com> 1.08-1vl5
- applied new versioning policy, spec in utf-8
- fixed scripts about library path

* Thu Aug  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- rebuilt for VineSeed (4.0)

* Thu May 19 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Updated to 1.08 with much modification of spec

* Tue Feb 15 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Initial package for VineLinux 3.0

