Summary: 	A script to handle icon names in desktop icon themes
Summary(ja):    デスクトップアイコンテーマでアイコン名を扱うためのスクリプト
Name:           icon-naming-utils
Version:        0.8.7
Release:        1%{?_dist_release}
Group:          Development/Tools
License:        GPL 
URL:            http://tango-project.org/Standard_Icon_Naming_Specification

Source0:        icon-naming-utils-%{version}.tar.gz

BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  perl-XML-Simple
Requires:       perl-XML-Simple

%description
A script for creating a symlink mapping for deprecated icon names to
the new Icon Naming Specification names, for desktop icon themes.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libexecdir}/icon-name-mapping
%{_datadir}/icon-naming-utils
%{_datadir}/pkgconfig/icon-naming-utils.pc
%{_datadir}/dtds/*.dtd

%changelog
* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.7-1
- new upstream release

* Sat May 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.6-1
- appiled new versioning policy

* Sun Sep 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.6-0vl1
- new upstream release

* Wed Apr 25 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.2-0vl1
- new upstream release

* Thu Jul 13 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.7.3-0vl1
- new upstream release
- changed Group to Development/Tool

* Thu Mar 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-0vl1
- initial build for Vine Linux

* Mon Feb  6 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.7-1
- Update to 0.6.7

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.5-1
- Initial import
