%define pkgname Go-oo
%define version	3.2.1
%define urel	9505
%ifarch %{ix86}
%define	uarch	i586
%endif
%ifarch x86_64
%define	uarch	x86_64
%endif
# we have to specify previous version with "Conflicts:" 
# to make smart upgrading.[VineSeed:20565]
%define	conflict_prev_compt ooobasis3.1-core01

%define baseurl http://go-oo.mirrorbrain.org/stable/linux-%{uarch}/3.2.1
%define dlurl	"\
		%{baseurl}/openoffice.org3-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/openoffice.org3-ja-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-ja-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-ja-base-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-ja-calc-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-ja-draw-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-ja-help-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-ja-impress-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-ja-math-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-ja-res-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-ja-writer-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-images-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-core01-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-core02-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-core03-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-core04-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-core05-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-core06-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-core07-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-base-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-calc-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-draw-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-impress-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-math-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-writer-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/openoffice.org3-base-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/openoffice.org3-calc-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/openoffice.org3-draw-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/openoffice.org3-impress-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/openoffice.org3-writer-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/openoffice.org3-math-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-gnome-integration-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-ja-binfilter-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-binfilter-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-graphicfilter-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-javafilter-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-ooofonts-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-pyuno-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/ooobasis3.2-ooolinguistic-%{version}-%{urel}.%{uarch}.rpm \
		%{baseurl}/openoffice.org-ure-1.6.1-%{urel}.%{uarch}.rpm \
		%{baseurl}/openoffice.org3.2-freedesktop-menus-3.2-%{urel}.noarch.rpm \
		"
Summary:	Package to assist installation of %{pkgname}
Summary(ja): 	%{pkgname} のインストールを補助するパッケージ
Name:		install-assist-%{pkgname}
Version:	%{version}
Release: 	1%{?_dist_release}
License:	LGPL
Group:		Applications/Productivity

ExclusiveArch:	%{ix86} x86_64
# Requires(posttrans) not yet implemented. So we use (post) instead.
Requires(post):	self-build-setup >= 0.9.0
Conflicts:	openoffice.org-core <= 2.4.1-5vl5
Conflicts:	%{conflict_prev_compt}

Packager:	kazutaka

%description
Go-oo is an office suite based on OpenOffice.org and included
several enhancements and extentions.

Go-oo features as follows:
　- Start faster, quicker and less memory
　- Import graphics such as SVG, WPG and EMF
　- Solver for Calc
　- Quick-starter on system tray
　- Suppoer VBA macros and Office 2007 OpenXML

If you install this package, it automaticaly downloads 
required files to install %{pkgname}.
And the downloaded files are automatically installed if 
installation is executed by apt-get command or synaptic
package manager.

Following componets are installed with this package:
　・Writer: a word processing
　・Calc: a spreadsheet
　・Impress: a presentation program
　・Base: database management program
　・Draw: a vector graphics editor
　・Math: mathematical formulae editor

%description -l ja
GO-oo は OpenOffice.org をベースに、各種拡張機能が取り込まれ
た改良版のオフィススイートです。

Go-oo はオリジナルの OpenOffice.org と比べて以下のような特徴
を持っています。
　- 起動時間や応答時間が早く、より俊敏に動作
　- SVG やWPG、EMF といった種類の画像のインポート
　- スプレッドシート(Calc)向けのソルバー
　- システムトレイ(通知エリア)からのクイック起動
　- VBA マクロと Office 2007 OpenXML をサポート

このパッケージをインストールすると、自動的に %{pkgname}
のインストールに必要な rpm ファイルをダウンロードします。
また apt-get コマンドや synapticパッケージマネージャから実行
した場合は、ダウンロードした rpm ファイルのインストールも自
動的に行います。

以下の機能がインストールされます。
　・ライター (Writer): ワープロ
　・カルク (Calc): 表計算
　・インプレス (Impress): プレゼンテーション
　・ベース (Base): データベース
　・ドロー (Draw): 図形描画
　・マス (Math): 数式エディタ

%posttrans
/usr/lib/rpm/get-binary-rpm.sh %{name} %{dlurl}

%files

%changelog
* Sat Sep 04 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 3.2.1-1
- new upstream release
- add conflict_prev_compt macro
- set Conflicts: %%{conflict_prev_compt} to remove unnecessary
  old packges when updating

* Sun Mar 21 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 3.2.0-1
- new upstream release

* Sun Sep 06 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.1.1-1
- new upstream release with security fix

* Thu Sep 03 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.1.0-3
- drop Obsoletes: and Provides: for openoffice.org
- add Conflicts: openoffice.org-core <= 2.4.1-5vl5

* Tue Aug 18 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.1.0-2
- add Provides: openoffice.org (for dist-upgrade)
- specify version-release for Obsoletes: <= 2.4.1-5vl5

* Sat Aug 15 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.1.0-1
- initial build for Vine Linux

