%define name	ipw2200-firmware
%define version	3.0
%define release	2%{?_dist_release}

Summary:	Firmware for the Intel(R) PRO/Wireless 2200 Driver.
Summary(ja): 	Intel(R) PRO/Wireless 2200 ドライバ用のファームウェア
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	ipw2200-fw-%{version}.tgz
License:	distributable
Group:		System Environment/Kernel
URL:		http://ipw2200.sourceforge.net/firmware.php

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch


%description
This package contains the firmware for the Intel(R) PRO/Wireless
2200 driver. Usage of the firmware is subject to the terms
contained in %{_datadir}/doc/%{name}-%{version}/LICENSE.ipw2200-fw.
Please read the license carefully.

%description -l ja
このパッケージは Intel(R) PRO/Wireless 2200 ドライバ用の
ファームウェアを含んでいます。ファームウェアの使用は
%{_datadir}/doc/%{name}-%{version}/LICENSE.ipw2200-fw に含まれる
内容により制限されています。
このファームウェアを使用する場合はライセンスを必ず読んで
ください。

%prep

%setup -q -c


%install
%__rm -rf ${RPM_BUILD_ROOT}
#%__mkdir_p ${RPM_BUILD_ROOT}/%{_lib}/firmware
#%__install -p -m644 ipw2200-fw-%{version}/*.fw ${RPM_BUILD_ROOT}/%{_lib}/firmware
#%__install -p -m644 ipw2200-fw-%{version}/LICENSE.ipw2200-fw ${RPM_BUILD_ROOT}/%{_lib}/firmware/ipw2200-LICENSE.txt
%__mkdir_p ${RPM_BUILD_ROOT}/lib/firmware
%__install -p -m644 ipw2200-fw-%{version}/*.fw ${RPM_BUILD_ROOT}/lib/firmware
%__install -p -m644 ipw2200-fw-%{version}/LICENSE.ipw2200-fw ${RPM_BUILD_ROOT}/lib/firmware/ipw2200-LICENSE.txt


%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ipw2200-fw-3.0/LICENSE.ipw2200-fw
#/%{_lib}/firmware/*
/lib/firmware/*


%changelog
* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 3.0-2vl5
- use /lib/firmware instead of /%%{_lib}/firmware

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 3.0-1vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 22 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.0-0vl1
- new upstream release.

* Wed Sep 06 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.4-0vl2
- fix typo of Group <BTS:VineLinux:148>.

* Thu Jun 08 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.4-0vl1
- initial build for Vine Linux
