Name:           iwlwifi-5150-ucode
Version:        8.24.2.2
Release:        1%{?_dist_release}
Summary:        Firmware for Intel® Wireless 5150 A/G/N network adaptors
Summary(ja):    Intel® Wireless 5150 A/G/N ネットワークアダプタ用ファームウェア

Group:          System Environment/Kernel
License:        Redistributable, no modification permitted
URL:            http://intellinuxwireless.org/
Source0:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5150-ucode-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

Requires:       udev


%description
This package contains the firmware required by the iwlagn driver
for Linux to support the iwl5150 hardware.  Usage of the firmware
is subject to the terms and conditions contained inside the provided
LICENSE file. Please read it carefully.

%prep
%setup -q
# Change encoding
sed -i 's/\r//'  LICENSE.iwlwifi-5150-ucode README.iwlwifi-5150-ucode
# Rename docs
mv LICENSE.iwlwifi-5150-ucode ../LICENSE
mv README.iwlwifi-5150-ucode ../README
# Preserve timestamp
touch -r *.ucode ../LICENSE ../README


%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
install -pm 0644 *.ucode $RPM_BUILD_ROOT/lib/firmware/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*.ucode


%changelog
* Mon Oct 25 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 8.24.2.2-1
- initial build for Vine Linux

* Mon Jan 25 2010 John W. Linville <linville@tuxdriver.com> - 8.24.2.2-1
- Initial import
