Name:           iwlwifi-6000-ucode
Version:        9.221.4.1
Release:        1%{?_dist_release}
Summary:        Firmware for Intel(R) Wireless WiFi Link 6000 Series AGN Adapter
Summary(ja):    Intel(R) Wireless WiFi Link 6000 シリーズ用ファームウェア

Group:          System Environment/Kernel
License:        Redistributable, no modification permitted
URL:            http://intellinuxwireless.org/
Source0:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-6000-ucode-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

Requires:       udev


%description
This package contains the firmware required by the iwlagn driver
for Linux to support the iwl6000 hardware.  Usage of the firmware
is subject to the terms and conditions contained inside the provided
LICENSE file. Please read it carefully.

%prep
%setup -q
# Change encoding
sed -i 's/\r//'  LICENSE.iwlwifi-6000-ucode README.iwlwifi-6000-ucode
# Rename docs
mv LICENSE.iwlwifi-6000-ucode ../LICENSE
mv README.iwlwifi-6000-ucode ../README
# Preserve timestamp
touch -r *.ucode ../LICENSE ../README


%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
install -pm 0644 *.ucode $RPM_BUILD_ROOT/lib/firmware/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*.ucode


%changelog
* Mon Oct 25 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 9.221.4.1-1
- initial build for Vine Linux

* Mon Jun 21 2010 John W. Linville <linville@tuxdriver.com> - 9.221.4.1-1
- Update for upstream version 9.221.4.1

* Wed Feb 24 2010 John W. Linville <linville@tuxdriver.com> - 9.193.4.1-1
- Update for upstream version 9.193.4.1

* Tue Nov 10 2009 John W. Linville <linville@tuxdriver.com> - 9.176.4.1-2
- Add Requires for udev

* Mon Nov  9 2009 John W. Linville <linville@tuxdriver.com> - 9.176.4.1-1
- Initial import
