Summary:	Simple monitor config tool for LXDE
Summary(ja):	LXDEのシンプルなモニタ設定ツール
Name:     	lxrandr
Version:	0.1.1
Release:	2%{?_dist_release}
License:	GPLv3+
Group:		Graphical desktop/Other
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz

URL:		http://lxde.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk2-devel >= 2.0.0 gettext libXrandr-devel
BuildRequires:  automake autoconf intltool pkgconfig
Requires:	libXrandr

Vendor:         Project Vine
Distribution:   Vine Linux

%description
This is a very basic monitor config tool utilizing XRandR. It can let you
change the screen resolution on the fly. Besides, when you run lxrandr
with external monitor connected, its GUI will change, and show you some 
quick options to get your projector working correctly.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/man/*


%changelog
* Fri Jul 10 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.1-2
- new upstream release
  - skipped 0.1.1-1 because missed 
- dropt Source1 and Patch0
- added %{_datadir}/man/* in %files 

* Sun Apr 12 2009 IWAI, Masaharu <iwai@alib.jp> 0.1-2
- add ja.po from upstream r1231 (Source1)
- add configure patch for ja.po (Patch0)
- add Vendor and Distribution tags
- fix License tag value
- add documents

* Fri Apr 3 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1-1vl5
- initial build for VineSeed (import Mandriva Package)

* Sun Jun 22 2008 Funda Wang <fundawang@mandriva.org> 0.1-1mdv2009.0
+ Revision: 227910
- import lxrandr


