Summary: Wnn6 Client Library
Summary(ja): Wnn6 クライアント ライブラリ
Name: libwnn6
Version: 3.0
Release: 8%{?_dist_release}
License: GPL
Group: System Environment/Libraries
URL: http://www.omronsoft.co.jp/SP/pcunix/wnn/
Source: ftp://ftp-sp.omronsoft.co.jp/pub/Wnn6/skd_source/sdk/Wnn6-SDK-sources.tar.gz
Patch0: libwnn6-config.patch
Patch1: wnn6-sdk_incl.patch
Patch2: wnn6-sdk_shared.patch
Patch3: wnn6-sdk_malloc.patch
Patch4: Wnn6-SDK.static.patch
Patch5: Wnn6-sdk-vl2.patch
Patch6: Wnn6-SDK.nonroot.patch
Patch7: wnn6-sdk-vine.patch
#Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: imake

Obsoletes: wnn6-devel
Provides: Wnn6-SDK

Distribution: Vine Linux
Vendor: Project Vine

%description
Runtime Wnn6 client library necessary to run Wnn6 clients.

%description -l ja
Wnn6 クライアントを動作させるのに必要なランタイム Wnn6 クライアント
ライブラリです。

%package devel
Summary: Development kit for Wnn6 Client Library
Summary(ja): Wnn6 クライアントライブラリ開発キット
Group: Development/Libraries
Provides: Wnn6-SDK-devel
Requires: %{name} = %{version}-%{release}

%description devel
Development kit for Wnn6 client library necessary to run Wnn6 clients.

%description devel -l ja
Wnn6 クライアントをコンパイルするのに必要となるinclude file等です。

%prep
%setup -q -n src
cd contrib/im/Xsi
%patch0 -p4
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p0 -b .vine

%build
make World -f Makefile.ini \
           -C contrib/im/Xsi \
           CCOPTIONS=-fPIC %{?_smp_mflags} \
           CONFIGDIR=%{_datadir}/X11/config

%install
rm -fr ${RPM_BUILD_ROOT}
make install -C contrib/im/Xsi \
             DESTDIR=${RPM_BUILD_ROOT} \
             WNNLIBDIR=%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc contrib/im/Xsi/README
%dir %{_prefix}/lib/wnn6/ja_JP/
%{_libdir}/libwnn6.so.1
%{_libdir}/libwnn6.so.1.0.0

%files devel
%defattr(-,root,root)
%{_libdir}/libwnn6.a
%{_libdir}/libwnn6.so
%{_includedir}/wnn6/

%changelog
* Sat Jul 04 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-8
- spec in utf8
- applied wnn6-sdk-vine.patch
  -  changed X lib locate
- added CONFIGDIR=%%{_datadir}/X11/config in make options
- added Requires: %%{name} = %%{version}-%%{release} in devel subpackage
- added BuildRequires: imake

* Wed May 30 2007 NAKAMURA Kenta <kenta@vinelinux.org> 3.0-7vl2
- updated Patch3: wnn6-sdk_malloc.patch (Debian Bug report logs - #259894)
- build all object files with -fPIC so that sharlib is PIC
- use %%{_libdir} and build with WNNLIBDIR set to libdir

* Sun Jul  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.0-7vl1
- rebuilt with new toolchains
- changed Group to System Environment/Libraries

* Fri May 11 2001 <sagami@vinelinux.org>
- 3.0-7: modernize :-)

* Tue Nov 23 1999 Norihito Ohmori <ohmori@flatout.org>
- modify for Vine Linux

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Wed Nov 3 1999 Norihito Ohmori <nono@kondara.org>
- add defattr
- move libwnn6.a and libwnn6.so to -devel
- add %postun
- WnnWnnDir change /var/lib/wnn6 -> /usr/local/lib/wnn6

* Thu Aug 19 1999 Kazuhisa TAKEI<takei@hh.iij4u.or.jp>
- change Wnn6-SDK.config.patch 

* Fri Aug  6 1999 Kazuhisa TAKEI<takei@hh.iij4u.or.jp>
- patch for Vine1.9

* Fri Jul  9 1999 Kazuhisa TAKEI<takei@hh.iij4u.or.jp>
- First build
