Name: minicom
Version: 2.4
Release: 1%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux
License: GPL
Group: Applications/Communications
URL: http://alioth.debian.org/projects/minicom/
Source0: http://alioth.debian.org/frm/download.php/3195/%{name}-%{version}.tar.gz
Patch0: minicom-drop-privs.patch
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: gettext
BuildRequires: ncurses-devel
Summary: friendly menu driven serial communication program

%description
Minicom is a menu driven communications program. It emulates ANSI and
VT102 terminals. It has a dialing directory and auto zmodem download.

%prep
%setup -q
#%patch0 -p1

%build
%configure
%__make

%install
%__rm -rf %{buildroot}
%makeinstall

%__install -d %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/minirc.dfl
##%__install -m 644 doc/minicom.users %{buildroot}%{_sysconfdir}

%find_lang %{name}

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog FILE_ID.DIZ INSTALL NEWS README TODO
%doc doc extras
%config %{_sysconfdir}/*
%attr(2755,root,uucp) %{_bindir}/minicom
%{_bindir}/runscript
%{_bindir}/xminicom
%{_bindir}/ascii-xfr
%{_mandir}/man?/*

%changelog
* Mon Jul 19 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.4-1
- new upstream release
- add BuildRequires: ncurses-devel

* Sat Oct 04 2008 Shu KONNO <owa@bg.wakwak.com> 2.3-1vl5
- updated minicom to 2.3
- dropt minicom-drop-privs.patch
- applied new versioning policy, spec in utf-8

* Thu Sep 30 2004 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 2.1-0vl1
- Initial build.

