Name:           nautilus-terminal
Version:        0.7
Release:        1%{?_dist_release}
Summary:        Terminal embedded in Nautilus
Summary(ja):    Nautilus に埋め込まれた端末

Group:          System Environment/Shells
License:        GPLv3+
URL:            http://software.flogisoft.com/nautilus-terminal/en/
Source0:        http://download.flogisoft.com/files/Software/%{name}/%{name}_%{version}_src.tar.gz
Source1:        nautilus-terminal_ja.po

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  gettext bash
Requires:       pygtk2 nautilus-python vte pyxdg

%description
Nautilus Terminal is a terminal embedded in Nautilus, the GNOME's file browser.
It is always open in the current folder, and follows the navigation
(like an automated "cd" command).

%description -l ja
Nautilus Terminal は GNOME のファイルブラウザである Nautilus に
埋め込まれた端末です。
常に現行フォルダで開き、（"cd" コマンドが自動で行われているように）
ナビゲーションに追従します。

%prep
%setup -q
chmod -x AUTHORS
sed -i 's|/usr/lib/nautilus/extensions-2.0|%{_libdir}/nautilus/extensions-2.0|g' install.sh
%{__cp} -f %{SOURCE1} locales/ja.po

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
bash install.sh --package $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%{_datadir}/%{name}
%{_libdir}/nautilus/extensions-2.0/python/%{name}.py*

%changelog
* Tue Oct 12 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7-1
- initial build for VineSeed

* Fri Sep 24 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.7-1
- New upstream release

* Mon Sep 20 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.6-1
- Initial package
