Summary: Convert::ASN1 encodes and decodes ASN.1 data structures using BER/DER rules.
Summary(ja): Convert::ASN1 は BER/DER ルールを使って ASN.1 データ構造をエンコードもしくはデコードします。
Name: perl-Convert-ASN1
Version: 0.21
Release: 2%{_dist_release}
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/~gbarr/Convert-ASN1/
Source0: Convert-ASN1-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl >= 5.10
Requires: perl 

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Convert::ASN1 encodes and decodes ASN.1 data structures using BER/DER rules.

%description -l ja
Convert::ASN1 は BER/DER ルールを使って ASN.1 データ構造をエンコード
もしくはデコードします。

%prep
%setup -q -n Convert-ASN1-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > Convert-ASN1-%{version}-filelist
if [ "$(cat Convert-ASN1-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Convert-ASN1-%{version}-filelist
%defattr(-,root,root,-)
%dir %{perl_vendorlib}/Convert
%dir %{perl_vendorlib}/Convert/ASN1
%doc README ChangeLog examples/*

%changelog
* Wed Apr 08 2009 Shu KONNO <owa@bg.wakwak.com> 0.21-2vl5
- spec in utf-8

* Fri May 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.21-1vl5
- rebuild with perl 5.10
- new versioning policy
- add doc into files section

* Mon Oct  1 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.21-0vl1
- new upstrem release
- changed Group to Development/Libraries

* Mon Sep 19 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.19-0vl1
- new upstrem release
- make test

* Sun Apr 03 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.18-0vl2
- rebuild for VineSeed

* Tue Feb 08 2005 HOTTA Michihide <hotta@net-newbie.com> 0.18-0vl1
- Initial build for Vine Linux 3.1.

* Mon Feb 23 2004  <yasuma@miraclelinux.com> 0.18-1
- Initial build.
