Name:		perl-Goo-Canvas
Version:	0.06
Release:	1%{?_dist_release}
Summary:	Perl interface to the GooCanvas
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Goo-Canvas/
Source0:	http://www.cpan.org/authors/id/Y/YE/YEWENBIN/Goo-Canvas-%{version}.tar.gz
Source1:	Changes.20090614
Patch0:		perltetris_pl-undefined.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	goocanvas-devel
BuildRequires:	perl(Cairo) >= 1.00
BuildRequires:	perl(ExtUtils::Depends) >= 0.2
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(ExtUtils::PkgConfig) >= 1.0
BuildRequires:	perl(Glib) >= 1.103
BuildRequires:	perl(Gtk2) >= 1.100
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
GTK+ does't has an buildin canvas widget. GooCanvas is wonderful. It is easy to use 
and has powerful and extensible way to create items in canvas. Just try it.
For more documents, please read GooCanvas Manual and the demo programs provided
in the source distribution in both perl-Goo::Canvas and GooCanvas.


%prep
%setup -q -n Goo-Canvas-%{version}
cd bin/
%patch0 -p0 -b .warning 
%{__cp} -f %{SOURCE1} ../Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%{__make} %{?_smp_mflags} NOECHO=

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
%{__mv} $RPM_BUILD_ROOT%{_bindir}/perltetris.pl $RPM_BUILD_ROOT%{_bindir}/perlfangkuai.pl
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man1/perltetris.pl.1 $RPM_BUILD_ROOT%{_mandir}/man1/perlfangkuai.pl.1
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{__make} test

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes goocanvas.typemap maps README
%{_bindir}/*
%{_mandir}/man3/*.3*
%{perl_vendorarch}/Goo/
%{_mandir}/man1/*.1.gz
%{perl_vendorarch}/auto/*

%changelog
* Thu Nov 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.06-1
- initial build for Vine Linux based on fedora development

* Sun Jul 28 2009 Liang Suilong <liangsuilong@gmail.com> 0.06-5
- Change BuildRequires from perl(Glib::MakeHelper) to perl(Glib)
- Add BR: perl-Glib-devel

* Sun Jul 27 2009 Liang Suilong <liangsuilong@gmail.com> 0.06-4
- Change BuildRequires from perl(Glib) to perl(Glib::MakeHelper)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 15 2009 Liang Suilong <liangsuilong@gmail.com> 0.06-2
- Correct directory ownership
- Correct the typo in %description 

* Thu Jun 11 2009 Liang Suilong <liangsuilong@gmail.com> 0.06-1
- Upstream to perl-Goo-Canvas-0.06-1
- Update Changes

* Thu Jun 11 2009 Liang Suilong <liangsuilong@gmail.com> 0.05-6
- Rename perltertris.pl.1 as perlfangkuang.pl.1
- Update Changes

* Wed May 27 2009 Liang Suilong <liangsuilong@gmail.com> 0.05-5
- Rename perltertris.pl as perlfangkuang.pl and update README and Changes

* Sun Apr 21 2009 Liang Suilong <liangsuilong@gmail.com> 0.05-4
- Modify BuildRequires and correct the %%files.

* Sun Apr 05 2009 Liang Suilong <liangsuilong@gmail.com> 0.05-3
- Specfile autogenerated by cpanspec 1.77.

* Fri Mar 13 2009 Suilong Liang <liangsuilong@gmail.com> -0.05-2
-  Fix the bug that the package could not be built on x86_64

* Sun Jan 18 2009 Suilong Liang <liangsuilong@gmail.com> -0.05-1
- Initial package for Fedora 10.
