Summary: Populates HTML Forms with CGI data with Perl
Name: perl-HTML-FillInForm
Version: 2.00
Release: 1%{?_dist_release}
License: Artistic
Group: Development/Libraries
Source0: http://search.cpan.org/CPAN/authors/id/T/TJ/TJMATHER/HTML-FillInForm-%{version}.tar.gz
Url: http://search.cpan.org/author/TJMATHER/HTML-FillInForm/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl-HTML-Parser >= 3.26
Requires: perl-HTML-Parser >= 3.26
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
This module automatically inserts data from a previous HTML form into 
the HTML input and select tags. It is a subclass of HTML::Parser and 
uses it to parse the HTML and insert the values into the form tags.

One useful application is after a user submits an HTML form without 
filling out required field.
HTML::FillInForm can be used to redisplay the HTML form with all the 
form elements containing the submitted info.

%prep
%setup -q -n HTML-FillInForm-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS="vendor"
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%dir %{perl_vendorlib}/HTML

%changelog
* Thu Nov 12 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.00-1
- applied new versioning policy

* Mon Oct  1 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.00-0vl1
- new upstream release
- changed Group to Development/Libraries

* Fri Sep  9 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.05-0vl1
- updated to 1.05
- use vendor_perl dir

* Tue Apr 29 2003 IWAI Masaharu <iwai@alib.jp> 1.01-0vl1
- first build for Vine Linux
