Summary: modules for parsing (and creating!) MIME entities with Perl
Name: perl-MIME-tools
Version: 5.426
Release: 1%{_dist_release}
License: Perl's
Group: Development/Languages
Source0:http://search.cpan.org/CPAN/authors/id/E/ER/ERYQ/MIME-tools-%{version}.tar.gz
Url: http://search.cpan.org/author/ERYQ/MIME-tools/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.004 perl-IO-stringy perl-MailTools
Requires: perl >= 5.004 perl-IO-stringy perl-MailTools
Vendor: Project Vine
Distribution: Vine Linux
BuildArch: noarch

%description
MIME-tools is a collection of Perl5 MIME:: modules for parsing,
decoding, *and generating* single- or multipart (even nested multipart)
MIME messages. (Yes, kids, that means you can send messages with
attached GIF files).

%prep
%setup -q -n MIME-tools-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=%{buildroot}%{_prefix} INSTALLDIRS=vendor
make %{?_smp_mflags}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{name}.files
%defattr(-,root,root)
%doc COPYING ChangeLog MANIFEST README README-OR-DIE README.system examples
%{_mandir}/*/*
%dir %{perl_vendorlib}/MIME
%dir %{perl_vendorlib}/MIME/Parser
%dir %{perl_vendorlib}/MIME/Decoder
%dir %{perl_vendorlib}/MIME/Field

%changelog
* Thu May  1 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 5.426-1
- new upstream release.
- built with perl-5.10.0.
- moved files to %%{perl_vendorlib}.

* Sat Dec  4 2004 IWAI, Masaharu <iwai@alib.jp> 5.415-0vl1
- new upstream release
- build on perl-5.8.6-0vl1
- drop unnecessary patch ( Patch0 )

* Sat Nov 13 2004 IWAI, Masaharu <iwai@alib.jp> 5.411a-0vl4
- SECURITY FIX: add empty boundary patch ( Patch0 )
  - http://lists.roaringpenguin.com/pipermail/mimedefang/2004-October/024959.html

* Tue Apr 29 2003 IWAI Masaharu <iwai@alib.jp> 5.411a-0vl3
- build with perl-5.8.0

* Sun Nov  3 2002 IWAI Masaharu <iwai@alib.jp> 5.411a-0vl2
- update Summary and Description

* Sun Nov  3 2002 IWAI Masaharu <iwai@alib.jp> 5.411a-0vl1
- first build for Vine Linux

