Name:           perl-XML-LibXML-Common
Version:        0.13
Release: 	9%{?_dist_release}
Summary:        XML-LibXML-Common Perl module

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/XML-LibXML-Common/
Source0:        http://www.cpan.org/authors/id/P/PH/PHISH/XML-LibXML-Common-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  perl >= 2:5.8.0
BuildRequires:  libxml2-devel >= 2.4.20
Requires:  perl >= %(eval "`%{__perl} -V:version`"; echo $version)

%description
%{summary}.

%prep
%setup -q -n XML-LibXML-Common-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check || :
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorarch}/XML/
%{perl_vendorarch}/auto/XML/
%{_mandir}/man3/*.3*


%changelog
* Fri May 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.13-9
- rebuilt with perl-5.10.0-2
- applied new versioning policy

* Sun Jul 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.13-8vl2
- changed Group to Development/Languages

* Sun Apr  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.13-8vl1
- rebuilt for Vine Linux

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.13-8.2.1
- bump again for double-long bug on ppc(64)

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 0.13-8.2
- rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Mon Apr 25 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.13-8
- #155911
- Bring up to date with current Fedora.Extras perl spec template.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 27 2004 Chip Turner <cturner@redhat.com> - 0.13-1
- Specfile autogenerated.

