Summary: a simple generic namespace support class for perl 
Name: perl-XML-NamespaceSupport
Version: 1.09
Release: 1%{?_dist_release}
License: distributable
Group: Development/Libraries
Source0: http://www.cpan.org/authors/id/R/RB/RBERJON/XML-NamespaceSupport-%{version}.tar.gz
Url: http://search.cpan.org/search?dist=XML-NamespaceSupport
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl >= 5.004
Requires: perl >= 5.004

%description
 This module offers a simple to process namespaced XML names 
(unames) from within any application that may need them. It 
also helps maintain a prefix to namespace URI map, and provides 
a number of basic checks.

%prep
%setup -q -n XML-NamespaceSupport-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/man?/*

%changelog
* Fri May 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.09-1
- new upsteram release
- used vendor_perl dir
- changed Group to Development/Libraries
- rebuilt with perl 5.10.0-2

* Sat Dec  4 2004 IWAI, Masaharu <iwai@alib.jp> 1.08-0vl2
- build on perl-5.8.6-0vl1

* Sun Oct 17 2004 Satoshi MACHINO <machino@vinelinux.org> 1.08-0vl1
- new upstream version
- changed to License

* Mon Apr 15 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.04-0vl1
- first build for Vine Linux
