%define	perl_sitelib	%(eval "`perl -V:installsitelib`"; echo $installsitelib)

Summary: creates and updates RSS files with Perl
Name: perl-XML-RSS
Version: 1.05
Release: 0vl1
Copyright: distributable
Group: Development/Languages
Source0: http://www.cpan.org/authors/id/E/EI/EISEN/XML-RSS-%{version}.tar.gz
Url: http://search.cpan.org/search?dist=XML-RSS
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl >= 5.004, perl-XML-Parser
Requires: perl >= 5.004, perl-XML-Parser

%description
XML-RSS module for perl

%prep
%setup -q -n XML-RSS-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{name}.files
%defattr(-,root,root)
%doc README Changes TODO examples
%{_mandir}/man?/*
%dir %{perl_sitelib}/XML

%changelog
* Sat Dec  4 2004 IWAI, Masaharu <iwai@alib.jp> 1.05-0vl1
- new upstream release
- build on perl-5.8.6-0vl1

* Mon Dec 15 2003 IWAI, Masaharu <iwai@alib.jp> 1.02-0vl1
- new upstream release
- add %%{perl_sitelib}/XML directory in %%files
- add TODO and examples if %%doc dir
- drop BUGS in %%doc dir: because it lost.

* Mon Apr 15 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.97-0vl1
- first build for Vine Linux
