Summary: The perl-ldap distribution is a collection of perl modules
Summary(ja): perl-ldap は perl 用の LDAP サポートルーチンです
Name: perl-ldap
Version: 0.3202
Release: 1%{?_dist_release}
License: distributable
Group: Development/Libraries
URL: http://www.cpan.org
Source0: perl-ldap-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: %{name}
BuildArch: noarch
BuildRequires: perl perl-XML-SAX perl-IO-Socket-SSL perl-Authen-SASL
BuildRequires: perl-Convert-ASN1 >= 0.07
BuildRequires: perl-Net_SSLeay
Requires: perl perl-XML-SAX perl-IO-Socket-SSL perl-Authen-SASL perl-Convert-ASN1 >= 0.07
Requires: perl-Net_SSLeay >= 1.25-0vl2

%description
Net::LDAP::Control is a base-class for LDAPv3 control objects.

%description -l ja
Net::LDAP::Control は LDAPv3 制御プロトコルの基底クラスです。

%prep
%setup -q -n perl-ldap-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > perl-ldap-%{version}-filelist
if [ "$(cat perl-ldap-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f perl-ldap-%{version}-filelist
%defattr(-,root,root,-)

%changelog
* Wed Apr 08 2009 Shu KONNO <owa@bg.wakwak.com> 0.3202-1vl5
- spec in utf-8
- applied vine5 versioning policy

* Sun Sep 03 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3202-0vl2
- changed Group to Development/Libraries

* Sun Apr 03 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3202-0vl1
- new upstream release

* Tue Feb 08 2005 HOTTA Michihide <hotta@net-newbie.com> 0.31-0vl1
- Initial build for Vine Linux 3.1.

* Mon Feb 23 2004  <yasuma@miraclelinux.com> 0.31-1
- Initial build.
