# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-chardet
Version:        2.0.1
Release:        3%{?_dist_release}
Summary:        Character encoding auto-detection in Python
Summary(ja):    Python で文字エンコーディングを自動検出

Group:          Development/Languages
License:        LGPLv2
URL:            http://chardet.feedparser.org
Source0:        http://chardet.feedparser.org/download/python2-chardet-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools

%description
Character encoding auto-detection in Python. As 
smart as your browser. Open source.

%prep
%setup -q -n python2-chardet-%{version}



%build
# Remove CFLAGS=... for noarch packages (unneeded)
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod -x COPYING
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Wed Sep 29 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0.1-3
- rebuilt with rpm-4.8.1 for pkg-config

* Sat Feb 6 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0.1-2
- rebuilt with python-2.6.4

* Mon Nov 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.0.1-1
- new upstream release
- fixed Japanese summary

* Mon Sep 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.0.1-1
- initial build for VineSeed

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Aug 04 2008 Kushal Das <kushal@fedoraproject.org> 1.0.1-1
- Initial release

