%define	pyver		%(python -c 'import sys;print(sys.version[0:3])')

Summary:	Integrated Subversion support for Nautilus
Summary(ja): 	Subversion サポートを Nautilus に追加する拡張
Name:		rabbitvcs-nautilus
Version:	0.13
Release: 	2%{?_dist_release}
Source0:	%{name}-%{version}.tar.gz
License:	GPL
Group:		Development/Tools
URL:		http://rabbitvcs.org/

Requires:	nautilus >= 2.22.0
Requires:	nautilus-python >= 0.5.1
Requires:	dbus-python > 0.80
Requires:	rabbitvcs >= 0.13
#BuildArch:	noarch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	nautilussvn

Packager:	kazutaka

%description
RabbitVCS is a set of graphical tools written to provide simple
and straightforward access to the version control systems you use.

With this package, You can acces to the version control systems
by Nautilus file manager.

%description -l ja
RabbitVCS はバージョン管理システムにシンプルかつ直感的にアクセス
できるよう設計された GUI のツールです。

このパッケージを利用することで、Nautilus ファイルマネージャに
統合された形でバージョン管理システムにアクセスできるようになり
ます。


%prep
%setup -q


%build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d -m755 ${RPM_BUILD_ROOT}/%{_libdir}/nautilus/extensions-2.0/python
%{__install} -m644 RabbitVCS.py ${RPM_BUILD_ROOT}/%{_libdir}/nautilus/extensions-2.0/python/


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README
%{_libdir}/nautilus/extensions-2.0/python/RabbitVCS.py

%changelog
* Mon Mar 01 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.13-2
- drop BuildArch: noarch to fix installation path on x86_64

* Sun Feb 14 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.13-1
- initial build for Vine Linux
