Name:           smillaenlarger
Version:        0.9.0
Release:        1%{?_dist_release}
Summary:        small graphical tool to resize based on Qt
Summary(ja):    Qt ベースのリサイズのための小さなグラフィカルツール

Group:          Applications/Graphics
License:        GPLv3
URL:            http://sourceforge.net/projects/imageenlarger/
Source0:        SmillaEnlarger_%{version}_source.zip
Source1:        %{name}.desktop
Patch0:         apply_environment.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  unzip
BuildRequires:  qt4-devel
BuildRequires:  qt4-designer

Requires: qt4%{?_isa} >= %{_qt4_version}

%description
SmillaEnlarger is a small graphical tool (based on Qt) to resize,
especially magnify bitmaps in high quality.

%description -l ja
SmillaEnlarger は、リサイズのための (Qtベースの) 小さなグラフィカルツールです。
特に、ビットマップを高品質に拡大することができます。

%prep
%setup -q -c -T

%{_bindir}/unzip -oq %{SOURCE0}
%patch0 -p1
rm -rf __MACOSX/
mv SmillaEnlarger_%{version}_source/SmillaEnlargerSrc/* .

%build
%{_libdir}/qt4/bin/qmake
make %{?_smp_mflags}

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 SmillaEnlarger %{buildroot}%{_bindir}
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps/
%__install -m 644 smilla.png %{buildroot}%{_datadir}/pixmaps/smilla.png
%__install -dm 755 %{buildroot}%{_datadir}/applications/
%__install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications>& /dev/null ||:

%postun
update-desktop-database %{_datadir}/applications>& /dev/null ||:

%files
%defattr(-,root,root,-)
%{_bindir}/SmillaEnlarger
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*

%changelog
* Sun Jul 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.0-1
- initial build for VineSeed
