Summary: freedesktop.org sound theme
Summary(ja): freedesktop.org サウンドテーマ
Name: sound-theme-freedesktop
Version: 0.7
Release: 1%{?_dist_release}
Group: User Interface/Desktops
Source0: http://people.freedesktop.org/~mccann/dist/%{name}-%{version}.tar.bz2
# For details on the licenses used, see README
License: GPLv2+ and LGPLv2+ and CC-BY-SA and CC-BY
URL: http://freedesktop.org/wiki/Specifications/sound-theme-spec

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: intltool  
Requires(post): /bin/touch
Requires(postun): /bin/touch

%description
The default freedesktop.org sound theme following the XDG theming
specification.  

%prep
%setup -q 

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/sounds/freedesktop %{_datadir}/sounds

%postun
/bin/touch --no-create %{_datadir}/sounds/freedesktop %{_datadir}/sounds

%files 
%defattr(-,root,root)
%doc COPYING NEWS README
%dir %{_datadir}/sounds/freedesktop
%dir %{_datadir}/sounds/freedesktop/stereo
%{_datadir}/sounds/freedesktop/index.theme
%{_datadir}/sounds/freedesktop/stereo/*.oga

%changelog
* Mon May 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.7-1
- new upstream release
- updated URL

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1-1
- initial build for Vine Linux

* Tue Sep 9 2008 Lennart Poettering <lpoetter@redhat.com 0.1-4
- Fix changelog

* Tue Sep 9 2008 Lennart Poettering <lpoetter@redhat.com 0.1-3
- Touch root dirs, not just theme dirs

* Mon Aug 11 2008 Jeremy Katz <katzj@redhat.com> - 0.1-2
- require touch for scriptlets to not give errors

* Sun Jun 15 2008 Lennart Poettering <lpoetter@redhat.com> 0.1-1
- Initial package
