Summary: squashfs utilities
Summary(ja): squashfs ユーティリティ
Name: squashfs-tools
Version: 4.0
Release: 1%{?_dist_release}
License: GPL
Group: System Environment/Base
URL: http://squashfs.sf.net/
Source0: squashfs%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Squashfs is a highly compressed read-only filesystem for Linux.  This package
contains the utilities for manipulating squashfs filesystems.

%description -l ja
Squashfs は Linux 用の高圧縮読み込み専用ファイルシステムです。このパッケージ
には squashfs ファイルシステムを操作するためのユーティリティが含まれています。

%prep
%setup -q -n squashfs%{version}

%build
pushd squashfs-tools
%__make RPM_OPT_FLAGS="%{optflags}"
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
%__install -m 755 squashfs-tools/mksquashfs $RPM_BUILD_ROOT/sbin/mksquashfs
%__install -m 755 squashfs-tools/unsquashfs $RPM_BUILD_ROOT/sbin/unsquashfs

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README-%{version} README
%doc PERFORMANCE.README COPYING ACKNOWLEDGEMENTS CHANGES
/sbin/*

%changelog
* Wed Oct 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0-1
- new upstream release

* Mon Jan 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4-1
- new upstream release

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 3.3-1vl5
- applied new versioning policy, spec in utf-8

* Sat Dec 15 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3-0vl1
- new upstream release

* Sun May 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-0vl1
- initial build for Vine Linux
