%define name	tuxtype2
%define version	1.5.3
%define release	1%{?_dist_release}

Summary:	An educational typing tutor for children
Summary(ja):	子供向けのタイピング練習ゲーム

Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{name}-%{version}.tar.bz2
Source1:	tuxtype2.desktop
License:	GPL
Group:		Applications/Games
URL:		http://tuxtype.sourceforge.net/

Requires:	SDL >= 1.2.5, SDL_image >= 1.2.3
Requires:	SDL_mixer >= 1.2.5, SDL_ttf >= 2.0.5
BuildRequires:	SDL-devel >= 1.2.5, SDL_image-devel >= 1.2.3
BuildRequires:	SDL_mixer-devel >= 1.2.5, SDL_ttf-devel >= 2.0.5

BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
"Tux Typing" is an educational typing tutor for children. It features
several different types of gameplay, at a variety of difficulty levels.

%description -l ja
Tux Typing は，子供向けのタイピング練習ゲームです。数種類の異なるゲームが
含まれていて、難易度も自由に選ぶことができます。


%prep

%setup


%build
%configure
%__make


%install
%__rm -rf ${RPM_BUILD_ROOT}
%makeinstall

# install menu entry.
%__install -d %{buildroot}%{_datadir}/applications
%__install -p -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# remove duplicated documents.
%__rm -rf ${RPM_BUILD_ROOT}/usr/doc/tuxtype2

%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%doc tuxtype/docs/en/howtotheme.html tuxtype.lsm
%{_bindir}/tuxtype2
%{_datadir}/tuxtype2
%{_datadir}/applications/tuxtype2.desktop

%changelog
* Sun Oct 12 2008 Shu KONNO <owa@bg.wakwak.com> 1.5.3-1vl5
- applied new versioning policy, spec in utf-8

* Sun May 07 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.5.3-0vl1
- initial build for VineSeed Plus.
