Summary:rpm spec file generator for Vine Linux
Name: vine-spec-skeleton
Version: 0.3
Release: 1%{?_dist_release}
License: perl's
Group: Development/Tools
Source0: %{name}-%{version}.tar.gz
Patch1: vine-spec-skeleton-0.3-svn664.patch
Url: http://trac.vinelinux.org/wiki/vine-spec-skeleton
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl perl-YAML perl-Class-Accessor perl-HTML-Template
Requires: perl perl-YAML perl-Class-Accessor perl-HTML-Template

Distribution: Vine Linux
Vendor: Project Vine
Packager: iwaim

%description
rpm spec file generator for Vine Linux

%prep
%setup -q
%patch1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc README Changes LICENSE
%dir %{perl_vendorlib}/VineLinux
%dir %{perl_vendorlib}/VineLinux/VSS
%dir %{perl_vendorlib}/VineLinux/VSS/Skeleton
%dir %{perl_vendorlib}/VineLinux/VSS/Skeleton/Elisp
%dir %{perl_vendorlib}/VineLinux/VSS/Skeleton/PerlModule
%dir %{perl_vendorlib}/VineLinux/VSS/Skeleton/SelfBuild
%dir %{perl_vendorlib}/VineLinux/VSS/Type
#%{_mandir}/man3/*

%changelog
* Thu Mar 25 2010 IWAI, Masaharu <iwai@alib.jp> 0.3-1
- new upstream release
- drop fix elisp skeleton patch (Patch0): upstream fixed
- add upstream svn r664 patch (Patch1)
- update Requires and BuildRequires: perl-HTML-Template

* Tue Feb 23 2010 IWAI, Masaharu <iwai@alib.jp> 0.2-1
- first release for Vine Linux
