Summary:	X11 composite manager
Summary(ja):	X11 コンポジットマネージャ
Name:		xcompmgr
Version:	1.1.5
Release:	1%{?_dist_release}
License:	Copyright only
Group:		User Interface/X
URL:		http://xapps.freedesktop.org
Source0:	http://xorg.freedesktop.org/archive/individual/app/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libX11-devel
BuildRequires:	libXfixes-devel
BuildRequires:	libXrender-devel
BuildRequires:	libXdamage-devel
BuildRequires:	libXcomposite-devel
BuildRequires:	libXext-devel
BuildRequires:	pkgconfig

Packager:	kazutaka

%description
xcompmgr is a sample compositing manager for X servers supporting the XFIXES,
DAMAGE, and COMPOSITE extensions. It enables basic eye-candy effects

%description -l ja
xcompmgr は XFIXES、DAMAGE 及び COMPOSITE 拡張をサポートした X サーバ向けの
シンプルなコンポジットマネージャです。
このパッケージをインストールすると、デスクトップやウィンドウの表示に基本的な
視覚効果が利用できるようになります。

xcompmgr には GUI の設定ツールは含まれていないため、設定変更等はコマンドライン
から行う必要があります。


%prep
%setup -q 

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/xcompmgr
%{_mandir}/man1/xcompmgr.1.gz

%changelog
* Mon Aug 02 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 1.1.5-1
- initial build for Vine Linux

* Mon Nov 02 2009 Deji Akingunola <dakingun@gmail.com> - 1.1.5-1
- New release 1.1.5

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Deji Akingunola <dakingun@gmail.com> - 1.1.4-1
- New release 1.1.4

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 1.1.3-8
- Rebuild for gcc43

* Wed Aug 22 2007 Deji Akingunola <dakingun@gmail.com> - 1.1.3-7
- Update License tag and Rebuild

* Mon Aug 28 2006 Deji Akingunola <dakingun@gmail.com> - 1.1.3-6
- Rebuild for FC6

* Mon Jul 24 2006 Deji Akingunola <dakingun@gmail.com> 1.1.3-5
- Add pkgconfig to the BRs

* Thu Jun 29 2006 Deji Akingunola <dakingun@gmail.com> 1.1.3-4
- Use STL in the license field

* Sat Apr 22 2006 Deji Akingunola <dakingun@gmail.com> 1.1.3-3
- Fix Changelog typo
- Explicitly use MIT license as opposed to to MIT/X11

* Tue Nov 08 2005 Deji Akingunola <dakingun@gmail.com> 1.1.3-2
- Fix rpmlint error on description line
- Package the changelog file as doc

* Tue Nov 08 2005 Deji Akingunola <dakingun@gmail.com> 1.1.3-1
- Initial build.
