Summary: 	Clipboard history plugin for the XFce4 panel
Summary(ja): 	XFce4用クリップボード履歴監視プラグイン
Name: 		xfce4-clipman-plugin
Version: 	0.8.0
Release: 	2%{?_dist_release}
License:	BSD
URL: 		http://goodies.xfce.org/projects/panel-plugins/xfce4-clipman-plugin
Source0: 	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
#BuildRequires:	XOrg-devel, glib2-devel, gtk2-devel, libxfcegui4-devel, libxfce4util-devel

%description
xfce4-clipman is a clipboard history plugin for the XFce4 panel.

%description -l ja
xfce4-clipmanはXFce4用のクリップボード履歴監視プラグインです。

%prep
%setup -q

%build
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog INSTALL COPYING AUTHORS NEWS THANKS TODO
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/clipman.desktop
%{_localedir}/*/LC_MESSAGES/%{name}.mo

%changelog
* Mon Oct 27 2008 Shu KONNO <owa@bg.wakwak.com> 0.8.0-2vl5
- applied new versioning policy, spec in utf-8

* Sun Oct 14 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.8.0-1vl2
- upstream release
- remove unnecessary Requires and Packager macro
- whole rewrite %%files section

* Sun Jan 23 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.4.1-1vl3
- rebuild with XFce 4.2.0 packages
- changed required version number of xfce4-panel

* Fri Oct 22 2004 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.4.1-1vl2
- rebuild for VineSeed

* Thu Oct 21 2004 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.4.1-1vl1
- initial build for Vine Linux
- spec file from http://download.berlios.de/xfce-goodies/xfce4-clipman-plugin-0.4.0-1suse82.src.rpm
- change Packager
- change spec file name
- fix URL, License
- add BuildRequires: libxfcegui4-devel, gtk2-devel, libxfce4util-devel,
  zlib-devel, libxml2-devel, XOrg-devel, atk-devel, glibs-devel, pango-devel
- add Requires: XOrg-libs, atk, gtk2, glib2, pango, libxfcegui4, libxfce4util,
  libxml2, zlib
