%define fontname ubuntufont
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: Ubuntu font family
Summary(ja): Ubuntu フォントファミリ
Version: 0.70.1
Release: 1%{?_dist_release}
License: Ubuntu Font License
Group: User Interface/X
URL: http://font.ubuntu.com/

Source0: ubuntu-font-family-%{version}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

BuildRequires: unzip
Requires: TrueType-%{fontname}-regular
Requires: TrueType-%{fontname}-bold
Requires: TrueType-%{fontname}-italic
Requires: TrueType-%{fontname}-doc

%description
The Ubuntu Font Family are a set of matching new libre/open fonts in
development during 2010--2011.

%description -l ja
Ubuntu フォントファミリは2010年から2011年の間に開発された
自由でオープンな新しいフォントのセットです。

%package regular
Summary: Ubuntu font family regular
Summary(ja): Ubuntu フォントファミリ レギュラー
Group: User Interface/X

%description regular
This package includes Ubuntu font family regular font.

%description -l ja regular
このパッケージには Ubuntu フォントファミリ レギュラーフォントが含まれています。

%package bold
Summary: Ubuntu font family bold
Summary(ja): Ubuntu フォントファミリ ボールド
Group: User Interface/X

%description bold
This package includes Ubuntu font family bold fonts.

%description -l ja bold
このパッケージには Ubuntu フォントファミリ ボールドフォントが含まれています。

%package italic
Summary: Ubuntu font family italic
Summary(ja): Ubuntu フォントファミリ イタリック
Group: User Interface/X

%description italic
This package includes Ubuntu font family italic font.

%description -l ja italic
このパッケージには Ubuntu フォントファミリ イタリックフォントが含まれています。

%package doc
Summary: Ubuntu font family documents
Summary(ja): Ubuntu フォントファミリドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Ubuntu font family
includes enduser license.

%description -l ja doc
このパッケージには Ubuntu フォントファミリのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -c -T
%{_bindir}/unzip -ojq %{SOURCE0}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post regular
%__font_install_post %{_fontdir}

%post bold
%__font_install_post %{_fontdir}

%post italic
%__font_install_post %{_fontdir}

%postun regular
%__font_install_postun %{_fontdir}

%postun bold
%__font_install_postun %{_fontdir}

%postun italic
%__font_install_postun %{_fontdir}

%files

%files regular
%{_fontdir}/Ubuntu-R.ttf

%files bold
%{_fontdir}/Ubuntu-B*.ttf

%files italic
%{_fontdir}/Ubuntu-I.ttf

%files doc
%doc *.txt

%changelog
* Sat Dec 25 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.70.1-1
- initial build for VineSeed
