Summary:        Command-line ACPI client
Summary(ja):    コマンドライン ACPI クライアント
Summary(pl):    Klient ACPI działający z linii poleceń
Name:           acpi
Version:        0.09
Release:        1%{?_dist_release}
License:        GPLv2+
Group:          Applications/System
Source0:        http://grahame.angrygoats.net/source/acpi/acpi-%{version}.tar.gz
Patch0:         acpi-0.09-keep_CFLAGS.diff
URL:            http://grahame.angrygoats.net/acpi.shtml
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Linux ACPI client is a small command-line program that attempts to
replicate the functionality of the 'old' apm command on ACPI systems.
It includes battery and thermal information.

%description -l ja
Linux ACPI クライアントは ACPI システムで、古い apm コマンド相当の
機能を提供するコマンドラインプログラムです。バッテリーや温度情報を
取得する機能が含まれています。

%description -l pl
Klient Linux ACPI to mały program działający z linii poleceń, będący
próbą zastąpienia funkcjonalności "starego" polecenia apm na systemach
opartych o ACPI. Zawiera informacje o zasilaniu i temperaturze.

%prep
%setup -q
%patch0

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README COPYING
%{_bindir}/acpi

%changelog
* Mon Aug 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.09-1
- initial build for Vine Linux

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.09-4
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.09-3
- Autorebuild for GCC 4.3

* Wed Sep  6 2006 Patrice Dumas <pertusus@free.fr> 0.09-2
- rebuild for FC-6

* Mon Mar  6 2006 Patrice Dumas <pertusus@free.fr> 0.09-1
- based on pld. Updated, and adapted to fedora extras
