Summary: Command line ACPI client
Summary(ja): コマンドライン ACPI クライアント
Name: acpitool
Version: 0.4.7
Release: 1%{?_dist_release}
License: GPLv2+
Group: Applications/System
URL: http://freeunix.dyndns.org:8000/site2/acpitool.shtml

Source: http://freeunix.dyndns.org:8000/ftp_site/pub/unix/acpitool/acpitool-%{version}.tar.bz2
Patch0: acpitool-0.4.7-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
AcpiTool is a Linux ACPI client. It's a small command line application, 
intended to be a replacement for the apm tool. The primary target audience 
are laptop users, since these people are most interested in things like 
battery status, thermal status and the ability to suspend (sleep mode). 
The program simply accesses the /proc/acpi or /sysfs entries to get or set 
ACPI values.

%prep
%setup -q
%patch0 -p1 -b .gcc43

%build
%configure
make %{?_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_bindir}/acpitool
%{_mandir}/man1/acpitool*

%changelog
* Mon Aug 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.7-1
- initial build for Vine Linux

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.7-5
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.7-4
- Autorebuild for GCC 4.3

* Thu Jan  3 2008 Patrice Dumas <pertusus@free.fr> 0.4.7-3
- fixes for gcc 4.3

* Thu May 24 2007 Patrice Dumas <pertusus@free.fr> 0.4.7-2
- update to 0.4.7

* Fri Oct  6 2006 Patrice Dumas <pertusus@free.fr> 0.4.6-2
- set Group to Applications/System (fix #209230)

* Mon Aug 28 2006 Patrice Dumas <pertusus@free.fr> 0.4.6-1
- update to 0.4.6

* Sun May 21 2006 Patrice Dumas <pertusus@free.fr> 0.4.5-1
- update to 0.4.5

* Thu Feb 16 2006 Patrice Dumas <pertusus@free.fr> 0.4.4-1.1
- new version
- remove now unneeded patch

* Thu Nov 10 2005 Patrice Dumas <pertusus@free.fr> 0.3.0-3
- add patch to avoid ignoring CXXFLAGS

* Fri Nov  4 2005 Patrice Dumas <pertusus@free.fr> 0.3.0-2
- update using fedora core conventions, some cleanings

* Tue Aug 24 2004 Robert Ambrose <rna@muttsoft.com>
- Created .spec file.

