%define build_vineseed %(grep -c VineSeed /etc/vine-release)
%define build_vine5 %( [ "%{?_dist_release}" == "vl5" ] && echo 1 || echo 0)

Summary:	Sources.list file for plus category
Summary(ja):	plus カテゴリ用の sources.list ファイル
Name:		apt-sourceslist-plus
Version:	1.1
Release: 	1%{?_dist_release}
Source0:	sources.list-vineseed-plus
Source1:	sources.list-vine5-plus
License:	GPL
Group:		Applications/Administration
#URL:		

Requires:	apt
Obsoletes:	apt < 0.5.15lorg3.94a-6
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch


%description
This package contains source.list file for plus category of Vine Plus.

You should install this package if you want to install packages in
plus category of Vine Plus.

%description -l ja
このパッケージには Vine Plus の plus カテゴリ用の source.list ファイル
を含んでいます。

Vine Plus の plus カテゴリのパッケージをインストールする場合はこのパッ
ケージをインストールしてください。


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_sysconfdir}/apt/sources.list.d

%if %{build_vineseed}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_sysconfdir}/apt/sources.list.d/plus.list
%elseif %{build_vine5}
%{__install} -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_sysconfdir}/apt/sources.list.d/plus.list
%endif

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%config(noreplace) %verify(not mtime) %{_sysconfdir}/apt/sources.list.d/plus.list


%changelog
* Sat Feb 13 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-1
- update to Vine Linux 5.1

* Fri Jul 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-1
- build for Vine Linux 5

* Sun Feb 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.1-2
- add Obsoletes: apt < 0.5.15lorg3.94a-6
- add BuildArch: noarch

* Sun Jan 25 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.1-1
- initial build for Vine Linux
