Summary: AS Number LOOKUP Utility
Summary(ja): AS番号検索
Name: aslookup
Version: beta0.13c
Release: 1%{?_dist_release}
License: read 'readme-jp.txt'
Group: Applications/Internet
URL: http://www.bugest.net/software/%{name}/
Source: http://www.bugest.net/software/%{name}/%{name}-%{version}.tar.gz
Patch: %{name}-%{version}.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
ASLOOKUP is the tool which searches the sequence of AS number specified with the parameter from IRR and indicates the first line of Description of AS Object.

Advantages:
- You can search many AS Numbers at one time.
- You can use result of "show ip bgp" command with CISCO router.
- You can search to ARIN, JPNIC and APNIC whois dabase.
- You can srarch AS Number from IP Addresses.

%description -l ja
ASLookupは指定されるAS番号をキーにRADBのAS Objectを検索し、そのDescription を表示するものです。

特徴は、
・複数のAS番号を一気に指定できる。
・Ciscoルータでshow ip bgp した結果がそのまま利用できる。
・ARIN、JPNIC、APNICのwhois dabaseも検索可能です。
・IPアドレスからAS番号の検索が可能です。
などです。

%prep
rm -rf ${RPM_BUILD_ROOT} ${RPM_BUILD_DIR}/%{name}-%{version}

%setup -q
%patch -p0

%build
make

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cd ${RPM_BUILD_ROOT}
install -m755 ${RPM_BUILD_DIR}/%{name}-%{version}/%{name} .%{_bindir}

%clean
rm -rf ${RPM_BUILD_ROOT} ${RPM_BUILD_DIR}/%{name}-%{version}

%files
%defattr(-, root, root)
%doc change.txt readme-eng.txt readme-jp.txt
%{_bindir}/%{name}

%changelog
* Sun Sep 14 2008 Shu KONNO <owa@bg.wakwak.com> beta0.13c-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jul  9 2006 yamamoto <yamamoto@yu.vinelinux.org> beta0.13c-0vl2
- rebuild for vine 4.0

* Sat Dec 10 2005 yamamoto <yamamoto@yu.vinelinux.org> beta0.13c-0vl1
- update to beta0.13c

* Mon Nov  7 2005 yamamoto <yamamoto@yu.vinelinux.org> alpha0.12-0vl3
- yearly rebuild

* Sun May 30 2004 yamamoto <yamamoto@yu.vinelinux.org> alpha0.12-0vl2
- rebuild for vine 3.0

* Sun Mar  7 2004 yamamoto <yamamoto@yu.vinelinux.org> alpha0.12-0vl1
- new package
