Summary:	visual (www) interface to explore a cvs repository
Summary(ja):	WebインタフェースのCVSリポジトリエクスプローラ

%define	name	cvsweb
%define	version	1.112
%define	release	2%{?_dist_release}
#%define	serial	1
%define contentdir /home/httpd

Name:		%{name}
Version:	%{version}
Release:	%{release}
#Serial:		%{serial}
License:	BSD type
Group:		Development/Tools
URL:		http://stud.fh-heilbronn.de/~zeller/cgi/cvsweb.cgi/
Source:		%{name}-%{version}.tar.gz
Patch:		%{name}-config.patch
Patch1:		%{name}-config2.patch
BuildRoot:	%{_tmppath}/%{name}-root
BuildArchitectures: noarch
Requires:	mailcap, cvs

%description
cvsweb is a visual (www) interface to explore a cvs repository. This is an
enhanced cvsweb developed by Henner Zeller. Enhancements include recognition
and display of popular mime-types, visual, color-coded, side by side diffs
of changes and the ability sort the file display and to hide old files
from view. One living example of the enhanced cvsweb is the KDE cvsweb

cvsweb requires the server to have cvs and a cvs repository worth exploring.

%description -l ja
cvswebは, WebインタフェースによるCVSリポジトリエクスプローラです.
これは, Henner Zeller氏によって開発されたものを拡張したものです.
拡張は, 一般的なMIMEタイプの認識と表示を含んでいます.
古いファイルを見えなくしたり, 視覚的に色分しながらファイルを並べ,
変更履歴をソートして表示します.
拡張されたcvswebの一つの例は, KDEのcvswebです.


cvsweb を動作させるには, cvsとCVSリポジトリ, Webサーバが必要です.

%prep
%setup -q -n cvsweb
%patch -p1
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{contentdir}/cgi-bin,%{_sysconfdir}/httpd}
install -d $RPM_BUILD_ROOT{%{contentdir}/cgi-bin,%{_sysconfdir}/httpd}

install cvsweb.cgi $RPM_BUILD_ROOT%{contentdir}/cgi-bin
install cvsweb.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd

gzip -9nf INSTALL README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%doc icons
%attr(755,root,root) /%{contentdir}/cgi-bin/cvsweb.cgi
%config(noreplace) %{_sysconfdir}/httpd/cvsweb.conf

%changelog
* Mon Jun 22 2009 Shu KONNO <owa@bg.wakwak.com> 1.112-2
- spec in utf-8

* Sun Sep 21 2008 Shu KONNO <owa@bg.wakwak.com> 1.112-1vl5
- applied new versioning policy, spec in utf-8
- dropt serial

* Fri Feb 15 2002 Yoshihiro Ota <ota@j.email.ne.jp> 1.112-0vl2
- added Requires and corrected some bugs in cvsweb.conf.

* Thu Aug 30 2001 Jiro Yamada <jiro@fd.catv.ne.jp>
- updated to 1.112

* Tue Oct 12 1999 Peter Hanecak <hanecak@megaloman.sk>
- initial spec (based on Ryan Weaver's <ryanw@infohwy.com> gtksee spec
  because i like the style of it)
