Summary: Double ARray Trie System
Summary(ja): Double-Array を構築するためのライブラリ
Name: darts
Version: 0.32
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
URL: http://chasen.org/~taku/software/darts/
Source: %{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc-c++
BuildRequires: zlib-devel

%description
Double ARray Trie System

%description -l ja
Double-Array を構築するためのライブラリです。

%package devel
Summary: Header files for darts developers.
Group:	 Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: zlib-devel

%description devel
Header files for darts developers.

%prep
%setup -q

%build
%configure --with-zlib
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING LGPL README 
%doc doc/*.html doc/*.css
%{_libexecdir}/darts/*

%files devel
%defattr(-, root, root)
%{_includedir}/darts.h

%changelog
* Sun Jun  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.32-1
- new upstream release
- spec in UTF-8

* Sat May 17 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.31-1
- applied new versioning policy
- changed Group to System Environment/Libraries

* Sat May 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.31-0vl1
- new upstream release
- rebuilt with new toolchain

* Mon Dec 19 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2-0vl3
- changed devel package Group:
- use better macros

* Tue May 11 2004 Satoshi MACHINO <machino@vinelinux.org> 0.2-0vl2
- separeted devel sub-package

* Sun May 09 2004 Satoshi MACHINO <machino@vinelinux.org> 0.2-0vl1
- initial release

