;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  -*- coding: utf-8-unix -*-
;;  FSF Emacs 22 用 Vine Linux フォント/カラー設定
;;    Munehiro Yamamoto <munepi@vinelinux.org>
;;	$Id: vine-default-faces.el,v 1.11 2009/07/25 14:04:04 munepi Exp $	
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; (if (and window-system
;; 	 (string-match "^23\." emacs-version))
;;     (progn
;;       (setq desktop-gnome-interface-monospace-font-name 
;; 	    (replace-regexp-in-string "\n" "" 
;; 		(shell-command-to-string 
;; 		   "bash -c \'gconftool-2 --get /desktop/gnome/interface/monospace_font_name 2> /dev/null\'")))
;;       (if (null desktop-gnome-interface-monospace-font-name)
;; 	  (setq desktop-gnome-interface-monospace-font-name "Monospace 10"));; default

;;       (set-frame-font desktop-gnome-interface-monospace-font-name)

;;       (unless (assoc 'font default-frame-alist)
;; 	(add-to-list 'default-frame-alist 
;; 		     '(font . desktop-gnome-interface-monospace-font-name))
;; 	(setcdr (assoc 'font default-frame-alist) 
;; 		desktop-gnome-interface-monospace-font-name))

;;       ;; (set-fontset-font (frame-parameter nil 'font)
;;       ;; 			'japanese-jisx0208
;;       ;; 			'("VLゴシック regular" . "iso10646-1"))
;;       ;; (set-fontset-font (frame-parameter nil 'font)
;;       ;; 			'katakana-jisx0201
;;       ;; 			'("VLゴシック regular" . "iso10646-1"))
;;       ;; (set-fontset-font (frame-parameter nil 'font)
;;       ;; 			'japanese-jisx0213-1
;;       ;; 			'("VLゴシック regular" . "iso10646-1"))
;;       ;; (set-fontset-font (frame-parameter nil 'font)
;;       ;; 			'japanese-jisx0213-2
;;       ;; 			'("VLゴシック regular" . "iso10646-1"))
;;       )
;;   )

(if (string-match "^22\." emacs-version)
  (progn
    (utf-translate-cjk-mode t)
    (utf-translate-cjk-set-unicode-range
     '((#x00a2 . #x00a3)                    ; ¢, £
       (#x00a7 . #x00a8)                    ; §, ¨
       (#x00ac . #x00ac)                    ; ¬
       (#x00b0 . #x00b1)                    ; °, ±
       (#x00b4 . #x00b4)                    ; ´
       (#x00b6 . #x00b6)                    ; ¶
       (#x00d7 . #x00d7)                    ; ×
       (#X00f7 . #x00f7)                    ; ÷
       (#x0370 . #x03ff)                    ; Greek and Coptic
       (#x0400 . #x04FF)                    ; Cyrillic
       (#x2000 . #x206F)                    ; General Punctuation
       (#x2100 . #x214F)                    ; Letterlike Symbols
       (#x2190 . #x21FF)                    ; Arrows
       (#x2200 . #x22FF)                    ; Mathematical Operators
       (#x2300 . #x23FF)                    ; Miscellaneous Technical
       (#x2500 . #x257F)                    ; Box Drawing
       (#x25A0 . #x25FF)                    ; Geometric Shapes
       (#x2600 . #x26FF)                    ; Miscellaneous Symbols
       (#x2e80 . #xd7a3) (#xff00 . #xffef)))
    )
  )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(provide 'vine-default-faces)

;; Local Variables:
;; mode: emacs-lisp
;; End:
