%define name fakeroot
%define ver 1.5.10
%define rel 1%{?_dist_release}

%define _libdir %{_prefix}/lib/libfakeroot

Summary: Gives a fake root environment
Summary(ja): 疑似 root 環境を提供する
Name: %{name}
Version: %{ver}
Release: %{rel}
License: GPL
Group: Development/Tools
URL: http://packages.debian.org/unstable/utils/fakeroot.html
Source0: %{name}_%{ver}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{ver}-root

%description
Fakeroot gives a fake root environment.

%prep
%setup

%build
%configure
%{__make}

%install
%makeinstall

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf %buildroot

%post
/sbin/ldconfig -n %{_libdir}/libfakeroot

%files
%defattr (-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog DEBUG INSTALL
%doc README README.fake
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/*


%changelog
* Thu Sep 25 2008 Shu KONNO <owa@bg.wakwak.com> 1.5.10-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la

* Sun Jul  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.10-0vl1
- new upstream release
- rebuilt with new toolchain

* Wed Jun 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.3-0vl1
- build for Vine Linux
