Summary:        Demo of the fprint drivers
Summary(ja):    fprint ドライバのデモプログラム
Name:           fprint_demo
Version:        0.4
Release:        1%{?_dist_release}

Group:          System Environment/Base
License:        GPLv2
URL:            http://www.reactivated.net/fprint/wiki/Main_Page
Source0:        http://downloads.sourceforge.net/fprint/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        fprint-icon.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  fprintd-devel libfprint-devel gtk2-devel desktop-file-utils
Requires:	fprintd-pam

%description
Graphical tool to demonstrate how works for the fprint drivers

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -Dm 0755 -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/fprint-icon.png

desktop-file-install    --vendor="fedora"                               \
                        --dir=%{buildroot}%{_datadir}/applications/     \
                        --mode 0644                                     \
                        %{SOURCE1}  


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc INSTALL COPYING AUTHORS NEWS README 
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/fprint-icon.png

%changelog
* Wed May 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4-1
- new versioning policy

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4-4
- Autorebuild for GCC 4.3

* Sat Jan 12 2008 Pingou <pingoufc4@yahoo.fr> 0.4-3
- Change the directory of the icon

* Sun Jan 06 2008 Pingou <pingoufc4@yahoo.fr> 0.4-2
- Add the .desktop file

* Sat Nov 24 2007 Pingou <pingoufc4@yahoo.fr> 0.4-1
- First release

