Summary: GTK ALSA audio mixer
Summary(ja): GTK ALSA オーディオ・ミキサー
Name: gamix
Version: 1.99.p14
Release: 2%{?_dist_release}
License: GPL
Group: Applications/Multimedia
URL: http://www1.tcnet.ne.jp/fmurata/linux/alsa.html
Source: http://www1.tcnet.ne.jp/fmurata/linux/down/%{name}-%{version}.tar.gz
Source1: gamix.desktop
Source2: gamix.png
Patch: gamix-gtk2-fix.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: alsa-lib alsa-lib-devel
BuildRequires: gtk2 gtk2-devel
BuildRequires: xorg-x11-devel xorg-x11-libs
Vendor: Project Vine
Distribution: Vine Linux

%description
This is a mixer application for ALSA which usined GTK.

%description -l ja
GTK を使用した ALSA 用のミキサー・プログラムです。

%prep
%setup -q
%patch

%build
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--bindir=%{_bindir} \
	--with-included-gettext \
	--with-gtk-target=-2.0
make

%install
make install prefix=$RPM_BUILD_ROOT/%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#/usr/X11R6/bin/gamix
%{_bindir}/gamix
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README README.euc TODO
%{_datadir}/locale/de/LC_MESSAGES/gamix.mo
%{_datadir}/locale/ja/LC_MESSAGES/gamix.mo
%{_datadir}/applications/gamix.desktop
%{_datadir}/pixmaps/gamix.png

%changelog
* Tue Mar 23 2010 Shu KONNO <owa@bg.wakwak.com> 1.99.p14-2
- rebuilt with new toolchain

* Thu Sep 25 2008 Shu KONNO <owa@bg.wakwak.com> 1.99.p14-1vl5
- applied new versioning policy, spec in utf-8
- moved /usr/X11R6/bin/gamix to %%{_bindir}

* Mon Aug 20 2007 Shu KONNO <owa@bg.wakwak.com> 1.99.p14-0vl2
- added %{_datadir}/pixmaps/gamix.png into %%files

* Thu Jul 28 2005 Shu KONNO <owa@bg.wakwak.com> 1.99.p14-0vl1
- rebuilt with kernel-2.6.12
- added "--with-gtk-target=-2.0" to configure options
- added gamix-gtk2-fix.diff (from SUSE LINUX)
- added gamix.png, gaim.desktop (from SUSE LINUX)

* Tue Apr 5 2005 Youichi Kawachi <hoihoi-p@fzug.com>
- 1.99.p14-0kw1
- version up to 1.99.p14

* Sun Jul 22 2001 UECHI Yasumasa <uh@u.dhis.portside.net>
- 1.11-0vl1
- version up to 1.11

* Thu Jun 22 2000 Uechi Yasumasa <uh@kondara.org>
- 1.09p15-1k
- version up to 1.09p15

* Sat Jun 17 2000 Diki Matsuda <dyky@df-usa.com>
- 1.09p13-1k1
- modify prefix an bindir

* Sat Jun 17 2000 Uechi Yasumasa <uh@kondara.org>
- 1st release
