%define __name addons

Summary:       This Geany plugin adds various small addons which useful for people.
Summary(ja):       この Geany プラグインは人々の役に立つ小さなアドオンを追加します。
Name:          geany-plugin-addons
Version:       0.2
Release: 2%{?_dist_release}
License:       GPLv2
Group:         Development/Tools
URL:   http://plugins.geany.org/addons/
Source:           http://plugins.geany.org/%{__name}/%{__name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{__name}-%{version}-root
Requires:      geany >= 0.16
BuildRequires: geany-devel
BuildRequires: gtk2, gtk2-devel

%description
This Geany plugin adds various small addons which useful for people.

%description -l ja
この Geany プラグインは人々の役に立つ小さなアドオンを追加します。

%prep
%setup -q -n addons-%{version}

%build
%configure CC=c99 CFLAGS=-g
make %{?_smp_mflags}

%install
%__rm -Rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_libdir}/geany/
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/locale/

./libtool --silent --mode=install /usr/bin/install -c ./src/addons.la \
	$RPM_BUILD_ROOT%{_libdir}/geany/addons.la
mv ./po/de.gmo ./po/addons.mo

install -m 0755 ./po/addons.mo $RPM_BUILD_ROOT%{_datadir}/locale/

#remove .la file before packaging 
rm -rf $RPM_BUILD_ROOT%{_libdir}/geany/addons.la

%clean
%__rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_libdir}/geany/addons.so
%{_datadir}/locale/*

%changelog
* Wed Aug 19 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2-2vl5
- rebuilt with geany-0.18

* Fri Jun 5 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2-1vl5
- new upstream release

* Mon May 4 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1-1vl5
- initial build for VineSeed
