Summary: Fonts for the Ghostscript PostScript(TM) interpreter.
Summary(ja): Ghostscript ポストスクリプト(TM) インタプリタ用のフォント
Name: ghostscript-fonts
Version: 5.50
Release: 1%{?_dist_release}
License: GPL
Group: Applications/Publishing
BuildRoot: /var/tmp/gsfonts-root
URL: http://gnu-gs.sourceforge.net/
Source: ftp://ftp.cs.wisc.edu/pub/ghost/gnu/gs550/gnu-gs-fonts-other-%{version}.tar.gz
Requires: ghostscript
BuildArchitectures: noarch

%description
Ghostscript-fonts contains a set of fonts that Ghostscript, a
PostScript interpreter, uses to render text. These fonts are in
addition to the fonts shared by Ghostscript and the X Window System.

You'll need to install ghostscript-fonts if you're installing
ghostscript.

%description -l ja
ghostscript-fonts には Ghostscripts ポストスクリプトインタプリタ
でテキストをレンダリングするために必要なフォント一式が含まれてい
ます。このフォントは Ghostscript と X ウィンドウシステムの両方で
利用されます。

ghostscript をインストールする場合は ghostscript-fonts もインス
トールする必要があります。

%prep
%setup -q -c ghostscript-fonts-%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/default/ghostscript
cp fonts/* $RPM_BUILD_ROOT%{_datadir}/fonts/default/ghostscript

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/fonts/default/ghostscript

%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 5.50-1vl5
- applied new versioning policy, spec in utf-8

* Wed Sep 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 5.50-1vl2
- rebuild to add gpg sign
- add Japanese summary and description.

* Mon Feb 18 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 5.50-1vl1
- just rebuild with Vine Linux

* Mon Feb 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.50

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Jan 13 1999 Preston Brown <pbrown@redhat.com>
- renamed package to be consistent with new ghostscript.

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- removed the std fonts...now shared between X11 and gs with URW fonts pkg.

* Thu Jul  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.03.

* Mon May 04 1998 Erik Troan <ewt@redhat.com>
- set the owner and group of all of the files to 0.0

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
