# Basic Information
Name:		gsettings-desktop-schemas
Version:	0.0.1
Release:	2%{?_dist_release}
License:	GPL-2
Group:		System Environment/Base
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/0.0/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	A collection of GSettings schemas
Summary(ja):	GSettingsスキーマのコレクション

# Dependency
# 以下に依存関係を記述してください。
Requires:	pkgconfig
Requires:	glib2
Requires:	dconf

BuildRequires:	pkgconfig
BuildRequires:	glib2-devel

%description
gsettings-desktop-schemas contains a collection of GSettings schemas for
settings shared by various components of a desktop.

%description -l ja
gsettings-desktop-schemasは、デスクトップのさまざまな部品によって共有される
GSettingsスキーマのコレクションを含んでいます。

%prep
%setup -q

%build
%configure --disable-schemas-compile
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

#%%find_lang %{name}

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


#%%files -f %{name}.lang
%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README HACKING
%{_includedir}/gsettings-desktop-schemas/gdesktop-enums.h
%{_libdir}/pkgconfig/gsettings-desktop-schemas.pc
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.background.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.default-applications.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.interface.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.lockdown.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.url-handlers.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.proxy.gschema.xml

%changelog
* Sun Oct 17 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.0.1-2
- add Requires: dconf

* Tue Oct 12 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.0.1-1
- new package.


