#define __libtoolize: 
Summary: GtkGLExt is an OpenGL extension to GTK+ 2.0 or later.
Summary(ja): GTK+ 2.0 以降の OpenGL 拡張
Name: gtkglext
Version: 1.2.0
Release: 4%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: %{name}-%{version}.tar.bz2
URL: http://gtkglext.sourceforge.net/

BuildRequires: gtk2-devel
BuildRequires: xorg-x11-devel mesa-libGL-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: gtk2
Requires: mesa-libGL


%description
GtkGLExt provides additional GDK objects which support OpenGL rendering in GTK+, and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.

%package devel
Summary: Development tools for GtkGLExt
Summary(ja): GtkGLExt の開発ファイル類
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: gtk2-devel
Requires: mesa-libGL

%description devel
The gtkglext-devel package contains the header files and developer
docs for the GtkGLExt.

%prep
%setup -q

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc examples/
%{_libdir}/libgdkglext-x11-1.0.so.*
%{_libdir}/libgtkglext-x11-1.0.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/gtkglext-1.0
%{_libdir}/gtkglext-1.0
%{_libdir}/libgdkglext-x11-1.0.a
#%{_libdir}/libgdkglext-x11-1.0.la
%{_libdir}/libgdkglext-x11-1.0.so
%{_libdir}/libgtkglext-x11-1.0.a
#%{_libdir}/libgtkglext-x11-1.0.la
%{_libdir}/libgtkglext-x11-1.0.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/gtkglext*
%{_datadir}/gtk-doc/html/gtkglext


%changelog
* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 1.2.0-4
- rebuilt with rpm-4.8.1 for pkg-config

* Fri Sep 26 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.0-3vl5
- removed *.la
- spec in utf-8

* Wed Jul 23 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.0-2vl5
- rebuilt with xorg-x11-devel

* Mon Apr 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.2.0-1vl5
- updated to 1.2.0
- added %%post and %%postun section

* Sun Sep  4 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0.6-0vl2
- not to run libtoolize in spec file
- added Japanese summary

* Fri Mar 26 2004 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp>
- (1.0.6-0vl1)
- first packaging
