Summary: Basic requirement for icon themes
Summary(ja): アイコンテーマの基本ファイル
Name: hicolor-icon-theme
Version: 0.12
Release: 1%{?_dist_release}
License: GPL
Group: User Interface/Desktops
URL: http://freedesktop.org/Software/icon-theme
Source0: http://icon-theme.freedesktop.org/releases/%{name}-%{version}.tar.gz
Conflicts: kdelibs <= 3.2.3-0vl1
Requires(post): coreutils, gtk2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, inagaki

%description
Contains the basic directories and files needed for icon theme support.

%description -l ja
アイコンテーマサポートに必要な基本ディレクトリおよびファイルが含まれています。

%prep
%setup -q

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
#make DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_datadir}/icons/hicolor

%changelog
* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12-1
- new upstream release

* Sun Nov 29 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.11-1
- new upstream release

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10-2
- spec in utf-8

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10-1vl5
- new upstream release
- add Requires(post): gtk2

* Thu Aug 31 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9-0vl2
- add PreReq: coreutils

* Sat Apr 01 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9-0vl1
- new upstream release
- run gtk-update-icon-cache in %%post script.

* Tue Mar 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7-0vl1
- new upstream version

* Sat Aug 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5-0vl1
- new upstream release
- add Conflicts: kdelibs <= 3.2.3-0vl1

* Fri Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3-0vl1
- initial build.
