%define pkg_version 0.2.5
%define pkg_release 1%{?_dist_release}

Summary: A logic game similar to Sudoku
Summary(ja): 数独に類似した論理ゲーム 
Name:        hitori
Version:     %{pkg_version}
Release:     %{pkg_release}
Source0:     http://ftp.gnome.org/pub/GNOME/sources/hitori/0.2/%{name}-%{version}.tar.bz2
License:     GPLv3+
Group: Applications/Games
URL: http://live.gnome.org/Hitori

Requires: gtk2
BuildRequires: gtk2-devel 
BuildRequires: gnome-doc-utils
BuildRequires: which
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Hitori is a small application written to allow one to play the eponymous puzzle game, which is similar in theme to more popular puzzles such as Sudoku. 

%description -l ja
Hitori は数独のようなより人気のあるパズルとテーマにおいて類似した小さなゲームアプリケーションです。

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name} --with-gnome


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/hitori
%{_datadir}/applications/hitori.desktop
%{_datadir}/hitori/hitori.ui
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Thu Dec 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.5-1
- new upstream release

* Sun Jul 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.4-1
- new upstream release
- fix %install and %files

* Sun Jan 10 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-1
- initial build for Vine Linux

