Name:           iwlwifi-1000-ucode
Version:        128.50.3.1
Release: 1%{?_dist_release}
Summary:        Firmware for Intel® PRO/Wireless 1000 B/G/N network adaptors
Summary(ja):    Intel® PRO/Wireless 1000 B/G/N ネットワークアダプタ用ファームウェア

Group:          System Environment/Kernel
License:        Redistributable, no modification permitted
URL:            http://intellinuxwireless.org/
Source0:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-1000-ucode-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

Requires:       udev


%description
This package contains the firmware required by the iwlagn driver
for Linux to support the iwl1000 hardware.  Usage of the firmware
is subject to the terms and conditions contained inside the provided
LICENSE file. Please read it carefully.

%prep
%setup -q

# Change encoding
sed -i 's/\r//'  LICENSE.iwlwifi-1000-ucode README.iwlwifi-1000-ucode
# Rename docs
mv LICENSE.iwlwifi-1000-ucode ../LICENSE
mv README.iwlwifi-1000-ucode ../README
# Preserve timestamp
touch -r *.ucode ../LICENSE ../README


%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
install -pm 0644 *.ucode $RPM_BUILD_ROOT/lib/firmware/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*.ucode


%changelog
* Mon Oct 25 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 128.50.3.1-1
- initial build for Vine Linux

* Tue Nov 10 2009 John W. Linville <linville@tuxdriver.com> - 128.50.3.1-2
- Add Requires for udev

* Wed Sep 16 2009 John W. Linville <linville@tuxdriver.com> - 128.50.3.1-1
- Initial import
