Summary: Microcode for the Intel PRO/Wireless 5000 A/G/N network adaptors
Summary(ja): Intel PRO/Wireless 5000 A/G/N ドライバ用マイクロコード
Name: iwlwifi-5000-ucode
Version: 8.24.2.12
Release: 1%{?_dist_release}
License: distributable, no modification permitted
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/?p=iwlwifi
Source0: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
Source1: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-5.4.A.11.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains the firmware required by the iwlwifi/iwlagn
driver for Linux.

%prep
%setup -q -a 1

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p -m0644 *.ucode  %{buildroot}/lib/firmware/
install -p -m0644 */*.ucode  %{buildroot}/lib/firmware/


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE* README*
/lib/firmware/*

%changelog
* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.24.2.12-1
- add iwlwifi-5000-2.ucode (8.24.2.12)

* Tue Dec 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 5.4.A.11-1
- initial build

