Name:           iwlwifi-6050-ucode
Version:        9.201.4.1
Release:        1%{?_dist_release}
Summary:        Firmware for Intel(R) Wireless WiFi Link 6050 Series Adapters
Summary(ja):    Intel(R) Wireless WiFi Link 6050 シリーズアダプタ用ファームウェア

Group:          System Environment/Kernel
License:        Redistributable, no modification permitted
URL:            http://intellinuxwireless.org/
Source0:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-6050-ucode-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

Requires:       udev


%description
This package contains the firmware required by the iwlagn driver
for Linux to support the iwl6050 hardware.  Usage of the firmware
is subject to the terms and conditions contained inside the provided
LICENSE file. Please read it carefully.

%prep
%setup -q

# Change permission
find . -type f -exec chmod 0644 {} ';'

# Change encoding
sed -i 's/\r//'  LICENSE.iwlwifi-6050-ucode README.iwlwifi-6050-ucode
# Rename docs
mv LICENSE.iwlwifi-6050-ucode ../LICENSE
mv README.iwlwifi-6050-ucode ../README
# Preserve timestamp
touch -r *.ucode ../LICENSE ../README


%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
install -pm 0644 *.ucode $RPM_BUILD_ROOT/lib/firmware/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*.ucode


%changelog
* Mon Oct 25 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 9.201.4.1-1
- initial build for Vine Linux

* Tue Jun  8 2010 John W. Linville <linville@tuxdriver.com> - 9.201.4.1-2
- Cleanse permissions of extracted files

* Tue Jun  8 2010 John W. Linville <linville@tuxdriver.com> - 9.201.4.1-1
- Initial import
