Name:           lxlauncher
Version:        0.2.1
Release:        1%{?_dist_release}
Summary:        Open source replacement for Asus Launcher on the EeePC
Summary(ja):        EeePCにおけるAsus Launcherのオープンソースの代替品

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gtk2-devel >= 2.12 startup-notification-devel
BuildRequires:  gnome-menus-devel >= 2.18.0
BuildRequires:  gettext
BuildRequires:	menu-cache-devel
BuildRequires:	GConf2-devel


%description
LXLauncher is designed as an open source replacement for the Asus Launcher
included in their EeePC. It is desktop-independent and follows 
freedesktop.org specs, so newly added applications will automatically show 
up in the launcher, and vice versa for the removed ones.
LXLauncher is part of LXDE, the Lightweight X11 Desktop Environment.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#mkdir -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/backgrounds
#mkdir -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
#%{_datadir}/%{name}/
%{_datadir}/desktop-directories/*.directory
%{_sysconfdir}/xdg/*

%changelog
* Thu Jul 9 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.1-1
- new upstream release

* Mon Jun 8 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2-1
- initial build for VineSeed

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 21 2008 Christoph Wickert <fedora christoph-wickert de> - 0.2-1
- Update to 0.2
- Remove empty ChangeLog

* Mon May 12 2008 Christoph Wickert <fedora christoph-wickert de> - 0.1.6-1
- Initial Fedora RPM
