Summary:	Menu data files for LXDE
Summary(ja):	LXDEのメニューデータファイル
Name:     	lxmenu-data
Version:	0.1.1
Release:	1%{?_dist_release}
License:        LGPLv2+
Group:		User Interface/Desktops
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
#Source1:        lxmenu-data-0.1-COPYING
URL:		http://lxde.sourceforge.net/

Requires:       vine-menus
BuildRequires:	intltool >= 0.40 gettext perl perl-XML-Parser
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This package provides files required to build freedesktop.org menu
spec-compliant desktop menus for LXDE.

The files are originally taken from gnome-menus, and some minor
modifications were made.

%description -l ja
このパッケージはfreedesktop.orgの仕様に準拠したメニューを
LXDEのデスクトップメニューで構築するために必要なファイルを提供しています。

もともとはgnome-menuに由来し、いくつかのマイナーな修正を施されたファイルです。

%prep
%setup -q
# install correct license
#rm -f COPYING
#cp %{SOURCE1} COPYING

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README TODO
%{_datadir}/desktop-directories/lxde-*.directory
%{_sysconfdir}/xdg/menus/lxde-applications.menu


%changelog
* Mon Jul 6 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.1-1vl5
- new upstream release
- dropt Source1

* Sat May 9 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1-3vl5
- changed and added BuildRequires: intltool >= 0.40 gettext perl perl-XML-Parser
- added %description -l ja
- changed Group: User Interface/Desktops

* Sun Apr 5 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1-2vl5
- added Requires: vine-menus
- added correct license
  - fixed license tag

* Mon Mar 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1-1vl5
- initial build for VineSeed (import from Mandriva package)

* Wed Dec 10 2008 Funda Wang <fundawang@mandriva.org> 0.1-1mdv2009.1
+ Revision: 312481
- import lxmenu-data

