Summary: 	Extensible Binary Meta Language library
Name: 		libebml
Version: 	0.7.8
Release: 	1%{?_dist_release}
License: 	LGPL
Group: 		System Environment/Libraries
URL: 		http://www.matroska.org/
Source: 	http://dl.matroska.org/downloads/libebml/libebml-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Extensible Binary Meta Language access library A library for reading
and writing files with the Extensible Binary Meta Language, a binary
pendant to XML.

%package 	devel
Summary: 	Development files for the Extensible Binary Meta Language library
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description 	devel
Extensible Binary Meta Language access library A library for reading
and writing files with the Extensible Binary Meta Language, a binary
pendant to XML.

This package contains the files required to rebuild applications which
will use the Extensible Binary Meta Language library.


%prep
%setup -q

%build
CXXFLAGS="$RPM_OPT_FLAGS" make -C make/linux %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make -C make/linux \
  prefix=$RPM_BUILD_ROOT%{_prefix} \
  libdir=$RPM_BUILD_ROOT%{_libdir} \
  install
# Needed for proper stripping of the library (still in 0.7.6)
chmod +x $RPM_BUILD_ROOT%{_libdir}/libebml.so.*


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc ChangeLog LICENSE.LGPL
%{_libdir}/libebml.so.*

%files devel
%defattr(-,root,root,0755)
%{_includedir}/ebml/
%{_libdir}/libebml.a
%{_libdir}/libebml.so


%changelog
* Mon Sep 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.7.8-1
- new upstream release
- applied new versioning policy

* Sun May 20 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.7.7-1vl2
- rebuilt with new toolchain

* Tue Aug  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.7.7-1vl1
- inital build for Vine Linux

* Wed Apr 12 2006 Dams <anvil[AT]livna.org> - 0.7.7-1
- Updated to 0.7.7

* Thu Mar 16 2006 Dams <anvil[AT]livna.org> - 0.7.6-2.fc5
- Release bump

* Tue Nov 29 2005 Matthias Saou <http://freshrpms.net/> 0.7.6-1
- Update to 0.7.6.
- Change URL to the project's one.
- Add a full description for the devel package.
- Some other minor spec file changes.

* Sun Jun  5 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.5-2
- Split development files into a devel subpackage.
- Run ldconfig at post (un)install time.
- Fix shared library file modes.

* Wed May 25 2005 Jeremy Katz <katzj@redhat.com> - 0.7.5-1
- update to 0.7.5 (fixes x86_64 build)
- incldue shared libs

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.7.3-3
- rebuild on all arches

* Sun Feb 27 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.3-2
- 0.7.3.

* Wed Nov 10 2004 Matthias Saou <http://freshrpms.net/> 0.7.2-2
- Update to 0.7.2.
- Bump release to provide Extras upgrade path.

* Sun Aug 29 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.1-0.fdr.1
- Update to 0.7.1.
- Honor $RPM_OPT_FLAGS.

* Mon Jul 12 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.0-0.fdr.1
- Update to 0.7.0.
- Improved 64-bit arch build fix.

* Wed May  19 2004 Justin M. Forbes <64bit_fedora@comcast.net> 0:0.6.5-0.fdr.2
- Change linux makefile to use lib64 ifarch x86_64 for sane build

* Sun Apr  4 2004 Dams <anvil[AT]livna.org> 0:0.6.5-0.fdr.1
- Updated to 0.6.5

* Sun Feb 29 2004 Dams <anvil[AT]livna.org> 0:0.6.4-0.fdr.2
- Added licenses file as doc

* Thu Sep  4 2003 Dams <anvil[AT]livna.org>
- Initial build.


