Summary: a high-performance, distributed memory object caching system
Summary(ja): ハイパフォーマンスな分散メモリオブジェクトキャッシングシステム
Name: memcached
Version: 1.2.8
Release: 1%{?_dist_release}
Source0: http://www.danga.com/memcached/dist/%{name}-%{version}.tar.gz
License: modified BDS style License
Url: http://www.danga.com/memcached/
Group: Applications/Databases
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libevent-devel

%description
memcached is a high-performance, distributed memory object caching system, 
generic in nature, but intended for use in speeding up dynamic web 
applications by alleviating database load.

%prep
%setup

%build
%configure

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_initdir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_localstatedir}/run/memcached
%__make %{?_smp_mflags}
%makeinstall

rm -f %{buildroot}%{_bindir}/memcached-debug

install -m755 scripts/memcached.sysv %{buildroot}%{_initdir}/memcached
install -m755 scripts/memcached-tool %{buildroot}%{_bindir}/

cat <<EOF > %{buildroot}%{_sysconfdir}/sysconfig/memcached
PORT=11211
USER=nobody
MAXCONN=1024
CACHESIZE=64
OPTIONS=""
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%config(noreplace) %{_sysconfdir}/sysconfig/memcached
%{_initdir}/memcached
%{_bindir}/memcached
%{_bindir}/memcached-tool
%{_mandir}/man1/memcached.1*
%dir %{_localstatedir}/run/memcached

%changelog
* Mon Jun 22 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.2.8-1
- new upstream release.
- wrote spec in UTF-8.

* Mon May 19 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 1.2.5-1
- new upstream release.
- added some scripts.

* Mon Jul 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.12-0vl2
- rebuilt with libevent-1.3b

* Sun Aug 13 2006 IWAI, Masaharu <iwai@alib.jp> 1.1.12-0vl1
- new package

