Summary: Generate scalable fonts for TeX
Name: mftrace
Version: 1.2.14
Release: 3%{?_dist_release}
URL: http://www.cs.uu.nl/~hanwen/mftrace
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/Publishing
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: texlive python potrace t1utils
BuildRequires: python potrace texinfo

%description
Mftrace is a small Python program that lets you trace a @TeX{}
bitmap font into a PFA or PFB font (A PostScript Type1 Scalable Font).
It is licensed under the GNU GPL.

Type1 fonts offer many advantages over bitmaps, as they allow PostScript
files to render correctly on printers with many resolutions. Moreover,
Ghostscript can generate much better PDF, if given scalable fonts.

%prep
%setup -q

%build
./configure --prefix=%{_prefix}
make 
make README.txt


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix}  mandir=$RPM_BUILD_ROOT%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%{_prefix}/bin/gf2pbm
%{_prefix}/bin/mftrace
%{_mandir}/man1/mftrace.1.gz
%{_datadir}/mftrace/afm.pyc
%{_datadir}/mftrace/afm.py
%{_datadir}/mftrace/tfm.pyc
%{_datadir}/mftrace/tfm.py
%doc README.txt

%changelog
* Sun Aug 08 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.2.14-3
- TeX Live 2009

* Wed Apr 21 2010 Shu KONNO <owa@bg.wakwak.com> 1.2.14-2
- rebuilt with new environment

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.14-1vl5
- rebuilt with python-2.5.2
- applied new versioning policy

* Sun Jun 10 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.14-0vl3
- rebuilt for VineSeed

* Mon Jun 04 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.2.14-0vl2
- add BuildRequires: texinfo (makeinfo is required during package build)

* Wed May 29 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.2.14-0vl1
- new upstream release.

* Sat Jul  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.6-0vl2
- rebuilt for VineSeed

* Sat Mar 12 2005 Jun NISHII <jun@vinelinux.org> 1.1.6-0vl1
- build on Vine 3.1

* Tue Feb 19 2002 Han-Wen Nienhuys <hanwen@cs.uu.nl>
- Initial build.


