Summary: FastCGI module
Summary(ja): FastCGIモジュール
Name: mod_fcgid
Version: 2.2
Release: 4%{_dist_release}
Group: System Environment/Daemons
Source0: %{name}.%{version}.tgz
Source1: %{name}.conf
License: GPL2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: apache2-devel

%description

%package apache2
Group: System Environment/Daemons
Summary: FastCGI module for Apache2
Summary(ja): Apache2用FastCGIモジュール
Requires: apache2

%description apache2
This module makes Apache2 to support FastCGI.

%description apache2 -l ja
このモジュールは、Apache2にFastCGIサポートを追加します。

%prep
%setup -q -n %{name}.%{version}

%build

# for Apache2
%{_bindir}/apxs -c -o mod_fcgid.so -Iarch/unix -I. \
                fcgid_bridge.c fcgid_conf.c fcgid_pm_main.c \
                fcgid_protocol.c fcgid_spawn_ctl.c mod_fcgid.c \
                arch/unix/fcgid_proctbl_unix.c arch/unix/fcgid_pm_unix.c \
                arch/unix/fcgid_proc_unix.c fcgid_bucket.c fcgid_filter.c

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/apache2/modules/
mkdir -p %{buildroot}%{_localstatedir}/www/fcgi-bin/
install -m755 .libs/mod_fcgid.so %{buildroot}%{_libdir}/apache2/modules/

mkdir -p %{buildroot}%{_sysconfdir}/apache2/conf.d/
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/apache2/conf.d/

%clean
rm -rf %{buildroot}

%files apache2
%defattr(-,root,root)
%doc AUTHOR COPYING ChangeLog INSTALL.txt
%{_libdir}/apache2/modules/*.so
%dir %{_localstatedir}/www/fcgi-bin
%config(noreplace) %{_sysconfdir}/apache2/conf.d/*


%changelog
* Wed May 06 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.2-4
- rebuild

* Wed Sep 03 2008 Shu KONNO <owa@bg.wakwak.com> 2.2-3
- spec in utf-8

* Thu May  8 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.2-2
- added <DocumentRoot>/fcgi-bin/.

* Sat Apr 26 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.2-1
- initial build.
