%define pkgname AdobeReader_jpn
%define pkgversion 9.4.1
#% define dlurl	ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/%{pkgversion}/jpn/AdbeRdr%{pkgversion}-1_i486linux_jpn.rpm
%define dlurl http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/%{pkgversion}/jpn/AdbeRdr%{pkgversion}-1_i486linux_jpn.rpm

Summary:	Package to assist installation of %{pkgname} (i486)
Summary(ja): 	%{pkgname} (i486) のインストールを補助するパッケージ
Name:		install-assist-%{pkgname}
Version:	%{pkgversion}
Release: 	1%{?_dist_release}
License:	Commercial
Group:		Applications/Productivity

ExclusiveArch:	%{ix86} x86_64
# Requires(posttrans) not yet implemented. So we use (post) instead.
Requires(post):	self-build-setup >= 0.9.0
# Required packages for AdobeReader_jpn
Requires:	gtk2 >= 2.4.0
Requires:	gawk, grep, procps, atk, 
Requires:	fontconfig, freetype2, pango
Requires:	libgcc, glib2, libstdc++34
Requires:	mesa-libGL, mesa-libGLU
Requires:	libX11, libXext, libXt
Requires:	libidn, libxml2, zlib
%ifarch x86_64
Requires:	compat32-libcanberra-gtk2
Requires:	compat32-gtk2-engines
Requires:	compat32-mesa-libGLU
Requires(post):	nspluginwrapper
%endif

Packager:	kazutaka, munepi


%description
Adobe Reader is an application to easily view, browse and 
print PDF files.

If you install this package, it automaticaly downloads 
required files to install %{pkgname}.
And the downloaded files are automatically installed if 
installation is executed by apt-get command or synaptic
package manager.

%description -l ja
Adobe Reader は PDF (Portable Document Format)ファイルを表示、
閲覧、および印刷するためのソフトウェアです。

このパッケージをインストールすると、自動的に %{pkgname}
のインストールに必要な rpm ファイルをダウンロードします。
また apt-get コマンドや synapticパッケージマネージャから実行
した場合は、ダウンロードした rpm ファイルのインストールも自
動的に行います。


%posttrans
/usr/lib/rpm/get-binary-rpm.sh %{name} %{dlurl}

%ifarch x86_64
/usr/lib/rpm/pre-allocate-rpm.sh AdbeRdr%{pkgversion}-1_i486linux_jpn
/usr/bin/mozilla-plugin-config -i
exit 0
%endif


%files

%changelog
* Sun Dec 05 2010 Munehiro Yamamoto <munepi@vinelinux.org> 9.4.1-1
- new upstream release

* Thu Oct 07 2010 Munehiro Yamamoto <munepi@vinelinux.org> 9.4-1
- new upstream release

* Fri Aug 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 9.3.4-1
- new upstream release

* Wed Jun 30 2010 Munehiro Yamamoto <munepi@vinelinux.org> 9.3.3-1
- new upstream release

* Fri Apr 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 9.3.2-1
- new upstream release

* Sat Feb 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 9.3.1-2
- changed %%{dlurl} to http

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 9.3.1-1
- new upstream release

* Wed Jan 13 2010 Munehiro Yamamoto <munepi@vinelinux.org> 9.3-1
- new upstream release

* Sat Oct 17 2009 Munehiro Yamamoto <munepi@vinelinux.org> 9.2-1
- new upstream release

* Tue Aug 18 2009 Munehiro Yamamoto <munepi@vinelinux.org> 9.1.3-1
- new upstream release

* Sat Jul 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 9.1.2-3
- added pre-allocate in %%posttrans for x86_64

* Fri Jul 10 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 9.1.2-2
- setup for x86_64

* Fri Jun 19 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 9.1.2-1
- new upstream release

* Sun May 31 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 9.1.0-4
- drop x86_64 from ExclusiveArch

* Sat May 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 9.1.0-3
- change self-build-setup from PreReq to Requires(post)

* Thu May 14 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 9.1.0-2
- switch PreReq: to self-build-setup >= 0.9.0
- add ExclusiveArch: %%{ix86} x86_64

* Fri May 08 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 9.1.0-1
- initial build for Vine Linux.
