%define pkgname opera
%define verdir 1100
%define pkgversion 11.00
%define build 1156

%ifarch %{ix86}
%define	arch	i386
%endif
%ifarch x86_64
%define	arch	x86_64
%endif
%ifarch ppc
%define	arch	ppc
%endif

%define dlurl http://ftp.opera.com/pub/opera/linux/%{verdir}/%{pkgname}-%{pkgversion}-%{build}.%{arch}.rpm

Summary: Package to assist installation of %{pkgname}
Summary(ja): %{pkgname} のインストールを補助するパッケージ
Name: install-assist-%{pkgname}
Version: %{pkgversion}
Release: 1%{?_dist_release}
License: Commercial
Group: Applications/Internet

Requires: gstreamer-plugins-base
Requires: gstreamer-plugins-good
Requires: libogg
Requires: libtheora
Requires: libvorbis

Packager: Kudoh

%description
Opera is a small, fast, customizable, powerful and user-friendly web
browser, as well as an Internet suite, including an email client, an IRC
client, web developer tools (Opera Dragonfly), and a personal web server
(Opera Unite).

If you install this package, it automaticaly downloads 
required files to install %{pkgname}.
And the downloaded files are automatically installed if 
installation is executed by apt-get command or synaptic
package manager.

%description -l ja
%{name} は小さく高速でカスタマイズ可能、強力でユーザーフレンドリーな
Web ブラウザだけではなく、インターネットスートとして E メールクライアントや
IRCクライアント、web 開発者向けのツール (Opera Dragonfly)、
パーソナル web サーバー (Opera Unite) を含んでいます。

このパッケージをインストールすると、自動的に %{pkgname}
のインストールに必要な rpm ファイルをダウンロードします。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、ダウンロードした rpm ファイルのインストールも自
動的に行います。


%posttrans
/usr/lib/rpm/get-binary-rpm.sh %{name} %{dlurl}

%files

%changelog
* Sat Dec 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 11.00-1
- new upstream release

* Mon Nov 8 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 10.63-1
- initial build for Vine Linux
