Summary: Virtual package for multimedia codecs and plugins
Summary(ja): マルチメディアコーデックやプラグインのためのバーチャルパッケージ
Name: task-all-codecs
Version: 1.0
Release: 3%{?_dist_release}
License: distributable
Group: Restricted Software

Vendor: Project Vine
Distribution: Vine Linux
Packager: munepi

BuildRoot: %{_tmppath}/%{name}-%{version}-root
##BuildArchitectures: noarch

## xine
Requires: xine-lib
Requires: xine-lib-aa
Requires: xine-lib-alsa
##Requires: xine-lib-arts
Requires: xine-lib-esd
Requires: xine-lib-flac
##Requires: xine-lib-gnomevfs
Requires: xine-lib-jack
Requires: xine-lib-ogg
Requires: xine-lib-opengl
Requires: xine-lib-pulseaudio
Requires: xine-lib-sdl
##Requires: xine-lib-smb
%ifarch %{ix86}
Requires: xine-lib-w32dll
%endif
Requires: self-build-xine-lib-extras

## gstreamer
Requires: gstreamer-plugins
Requires: gstreamer-plugins-farsight
Requires: gstreamer-plugins-good
Requires: gstreamer-plugins-good-aa
Requires: gstreamer-plugins-good-dv
Requires: gstreamer-plugins-good-flac
Requires: gstreamer-plugins-good-raw1394
Requires: gstreamer-plugins-good-speex
Requires: self-build-gstreamer-plugins-bad
Requires: self-build-gstreamer-plugins-ffmpeg
Requires: self-build-gstreamer-plugins-ugly

## others
Requires: self-build-a52dec
Requires: self-build-faac
Requires: self-build-faad2
Requires: self-build-lame
Requires: self-build-libdca
Requires: self-build-libdvdcss
Requires: self-build-libdvdnav
Requires: self-build-libmad
Requires: self-build-libmp4v2
Requires: self-build-libmpeg2
Requires: self-build-libquicktime
Requires: self-build-mplayer-codecs
Requires: self-build-x264
Requires: self-build-xvidcore



%description
This is a virtual package to install multimedia codecs and plugins.
If you use apt-get for RPM, This package will install many multimedia 
codecs and plugins automatically.

[Note] 
This package spends a lot of time on building many self-build packages. 


%description -l ja
マルチメディアコーデックやプラグインを簡単にインストールするための
仮想パッケージです。
apt-get を使ってこのパッケージをインストールすることで、
多くのマルチメディアコーデックやプラグインを
インストールすることができます。

[注意]
このパッケージは多くの self-build パッケージをビルドのに
多くの時間がかかります。


%files


%changelog
* Sun Jul 11 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-3
- dropped xine-lib-arts dependancy

* Thu Jun 24 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-2
- added some comments in %%description

* Sun Jul 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-1
- initial build for Vine Linux

