Summary: 	Time-managing application for xfce4.
Name: 		orage
Version: 	4.6.1
Release: 	1%{?_dist_release}
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	http://www.xfce.org/archive/xfce-4.6.1/src/%{name}-%{version}.tar.bz2
Group: 		Applications/Accessories
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
#Requires: libxfce4mcs libxfce4util libxfcegui4
#Requires: xfce-mcs-manager xfce4-panel
BuildRequires: libxfce4util-devel
BuildRequires: libxfcegui4-devel
BuildRequires: xfconf-devel
BuildRequires: xfce4-panel-devel
BuildRequires: libnotify-devel
BuildRequires: dbus-devel
#BuildRequires: xfce-mcs-manager-devel xfce4-panel
Obsoletes: xfcalendar

%description
Time-managing application for xfce4

%prep
%setup -q

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS NEWS
%{_bindir}/orage
%{_bindir}/globaltime
#{_libdir}/xfce4/
%{_libexecdir}/xfce4/
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/orage/
%{_datadir}/xfce4/panel-plugins/orageclock.desktop
%{_mandir}/man1/*

%changelog
* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 4.4.2-1vl5
- applied new versioning policy

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.2-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl1
- initial release
