Name:		perl-Gtk2-ImageView
Version:	0.04
Release:	1%{?_dist_release}
Summary:	Perl bindings to the GtkImageView image viewer widget

Group:		Development/Libraries
License:	LGPLv3+
URL:		http://search.cpan.org/dist/Gtk2-ImageView/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RA/RATCLIFFE/Gtk2-ImageView-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk2-devel
BuildRequires:	gtkimageview-devel >= 1.6.0
BuildRequires:	perl(ExtUtils::Depends), perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Glib) >= 1.163
BuildRequires:	perl(Glib::MakeHelper)
BuildRequires:	perl(Cairo) >= 1.00
BuildRequires:	perl(ExtUtils::Depends) >= 0.2
BuildRequires:	perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires:	perl(Gtk2)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(Glib) >= 1.163
Requires:	perl(Cairo) >= 1.00

%description
Perl bindings to the GtkImageView image viewer widget. Find out more about 
GtkImageView at http://trac.bjourne.webfactional.com/. The Perl bindings follow 
the C API very closely, and the C reference should be considered the canonical 
documentation.

%package devel
Summary:        Development headers for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development headers for %{name}.

%prep
%setup -q -n Gtk2-ImageView-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{__chmod} -R u+w $RPM_BUILD_ROOT/*

%check
# There are tests, but they need an X DISPLAY to run. Not worth it.
# make test

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LESSER README
%{perl_vendorarch}/auto/Gtk2/ImageView/
%{perl_vendorarch}/Gtk2*
%exclude %{perl_vendorarch}/Gtk2/ImageView/Install/*.h
%{_mandir}/man3/*.3pm*

%files devel
%defattr(-,root,root,-)
%{perl_vendorarch}/Gtk2/ImageView/Install/*.h

%changelog
* Thu Nov 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.04-1
- initial build for Vine Linux based on fedora development

* Thu Jul 30 2009 Ralf Cors辿pius <corsepiu@fedoraproject.org> - 0.04-5
- Fix mass rebuild breakdown: Add BR: perl(Glib::MakeHelper).

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.04-2
- missing BuildRequires: perl(GTK2)

* Thu Sep 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.04-1
- initial package for Fedora
