Summary: I/O on in-core objects like strings and arrays with Perl
Name: perl-IO-stringy
Version: 2.110
Release: 1%{_dist_release}
License: Artistic
Group: Development/Libraries
Source0: http://search.cpan.org/CPAN/authors/id/E/ER/ERYQ/IO-stringy-%{version}.tar.gz
Url: http://search.cpan.org/author/ERYQ/IO-stringy/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.004
Requires: perl >= 5.004
Vendor: Project Vine
Distribution: Vine Linux
BuildArch: noarch

%description
This toolkit primarily provides modules for performing both traditional
and object-oriented i/o) on things *other* than normal filehandles; in
particular, IO::Scalar, IO::ScalarArray, and IO::Lines

%prep
%setup -q -n IO-stringy-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf $RPM_BUILD_ROOT

%check
make test

%files -f %{name}.files
%defattr(-,root,root)
%doc README COPYING examples contrib
%dir %{perl_vendorlib}/IO
%{_mandir}/man3/*

%changelog
* Thu May  1 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.110-1
- built with perl-5.10.0.

* Sat Feb 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.110-0vl2
- changed Group to Development/Libraries

* Sun Sep 11 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.110-0vl1
- updated to 2.110
- build with perl-5.8.6

* Wed Apr 30 2003 IWAI Masaharu <iwai@alib.jp> 2.108-0vl2
- build with perl-5.8.0

* Sat Nov  2 2002 IWAI Masaharu <iwai@alib.jp> 2.108-0vl1
- first build for Vine Linux

