%define _use_internal_dependency_generator 0

%define	perldir	%(perl -V:installvendorlib | sed 's/^installvendorlib=.\\(.*\\).;$/\\1/')

Summary:	Perl library for parsing the output of nsgmls.
Name:		perl-SGMLSpm
Version:	1.03ii
Release:	12%{?_dist_release}
Group:		Development/Libraries
License:	GPL
URL:		http://www.megginson.com/Software/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Requires:	openjade
Requires:	perl >= 5.8.6

Source0:	ftp://cpan.perl.org/pub/perl/CPAN/modules/by-module/SGMLS/SGMLSpm-%{version}.tar.gz


%description
Perl programs can use the SGMLSpm module to help convert SGML, HTML or XML
documents into new formats.


%prep
%setup -n SGMLSpm

%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

DESTDIR=$RPM_BUILD_ROOT
mkdir -p $DESTDIR%{_bindir}
mkdir -p $DESTDIR%{perldir}
make install_system BINDIR=$DESTDIR%{_bindir} PERL5DIR=$DESTDIR%{perldir}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%doc BUGS COPYING ChangeLog DOC/ README TODO elisp
%{_bindir}/sgmlspl
%dir %{perldir}/SGMLS
%{perldir}/SGMLS.pm
%{perldir}/SGMLS/Output.pm
%{perldir}/SGMLS/Refs.pm
%{perldir}/skel.pl


%ChangeLog
* Tue May 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.03ii-12
- rebuilt with perl-5.10.0-2
- applied new versioning policy
- s/Copyright/License/

* Mon Nov 29 2004 IWAI, Masaharu <iwai@alib.jp> 1.03ii-11vl4
- rebuild on perl-5.8.6-0vl1

* Wed Dec 10 2003 IWAI, Masaharu <iwai@alib.jp> 1.03ii-11vl3
- build with perl-5.8.2
- add %%{perldir}/SGMLS directory in %%files

* Thu Nov 06 2003 Satoshi MACHINO <machino@vinelinux.org> 1.03ii-11vl2
- rebuilt on perl-5.8.1

* Thu May 01 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.03ii-11vl1
- syncd with rawhide

* Sat Apr 12 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.03ii-4vl2
- Rebuild

* Fri Oct 12 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.03ii-4vl1
- Rebuild for Vine.

* Sun Jan 14 2001 Tim Waugh <twaugh@redhat.com>
- Add defattr to files section.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Change group.
- rm before install.
- Change Copyright: to License:.
- Remove Packager: line.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Based on Eric Bischoff's new-trials packages.
