Name:		pidgin-twitter
Version:	0.9.2
Release:	1%{?_dist_release}
Summary:	Pidgin plugin to help posting and reading micro blogs such as Twitter
Summary(ja):	Twitter のようなマイクロブログへの投稿と講読を補助する Pidgin プラグイン

Group:		Applications/Internet
License:	GPLv2+
URL:		http://www.honeyplanet.jp/pidgin-twitter/
Source0:	http://www.honeyplanet.jp/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	pidgin >= 2.6.0

BuildRequires:	pidgin-devel >= 2.4.0
BuildRequires:	gtk2-devel >= 2.12.0
BuildRequires:	glib2-devel >= 2.16.0
BuildRequires:	libxml2-devel >= 2.6.27
BuildRequires:	pkgconfig

%description
pidgin-twitter is a Pidgin plugin to help posting and reading micro
blogs such as Twitter. Currently, pidgin-twitter supports Twitter,
Wassr, identi.ca, jisko, friendfeed.

%description -l ja
pidgin-twitter (通称：ぴじつた)は Twitter のようなマイクロブログへの投稿と
講読を補助する Pidgin プラグインです。現在 pidgin-twitter は
Twitter、Wassr、identi.ca、jisko、friendfeed をサポートしています。

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/pidgin/
install -m 775 %{name}.so $RPM_BUILD_ROOT%{_libdir}/pidgin/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 664 prefs.ui $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING FAQ FAQ_ja README
%{_libdir}/pidgin/%{name}.so
%{_datadir}/%{name}/prefs.ui

%changelog
* Tue Aug 31 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.2-1
- new upstream release

* Tue May 4 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.1-1
- new upstream release

* Tue Nov 24 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.0-1
- new upstream release
- changed Requires: pidgin >= 2.6.0

* Wed Sep 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.5.2-1
- new upstream release

* Thu Sep 3 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.5-1
- new upstream release

* Mon Jul 27 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.4-2
- few fixed Japanese Summary and description

* Fri Jun 26 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.4-1
- initial build for VineSeed
