Summary:	Tool to watch power consumption for linux
Summary(ja): 	Linux 用の電力消費量を測定するツール
Name:		powertop
Version:	1.11
Release: 	1%{?_dist_release}
Source0:	http://www.linuxpowertop.org/download/%{name}-%{version}.tar.gz
License:	GPL
Group:		Applications/System
URL:		http://www.linuxpowertop.org/

Requires:	ncurses
BuildRequires:	ncurses-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	ryoichi, kazutaka


%description
A program that collects the various pieces of information from
your system and presents an overview of how well your laptop is
doing in terms of power savings. In addition, PowerTOP will 
provide an indication of which tunables and software components
are the biggest offenders in slurping up your battery time.
PowerTOP will update it's display frequently so that you can
directly see the impact of any changes you are making.

%description -l ja
PowerTOP はあなたのシステムから様々な情報を収集し、あなたのノート
PC の、電力の節約状況を表示するプログラムです。また PowerTOP は
電力を浪費しているプログラムや、チューニング可能な設定を示して
くれます。
PowerTOP は表示している内容を定期的に更新するので、システムに変更
を加えた場合、その結果がすぐに確認できます。


%prep
%setup -q

%build
%{__make} CFLAGS="$RPM_OPT_FLAGS -g -Wall -W -Wshadow"

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING Changelog README
%{_bindir}/powertop
%{_mandir}/man1/powertop.1*


%changelog
* Sat May 09 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.11-1
- new upstream release
- add Packager tag

* Mon Oct 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.10-1vl5
- new upstream release
  * Mon Feb 04 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.9-0vl1
  - new upstream release.

* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 1.8-1vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 29 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.8-0vl1
- initial build for Vine Linux
