%define pkg_version 0.2
%define pkg_release 1%{?_dist_release}

Summary:	processes .rpmnew and .rpmsave
Summary(ja):	.rpmnewや.rpmsaveを処理します
Name:		proc-rpmnew
Version:	%{pkg_version}
Release:	%{pkg_release}
Source:		%{name}-%{version}.tar.gz
License:	GPL2
Group: 		Applications/Administration
URL:		http://sourceforge.jp/projects/win2linux/

#Requires: 
#BuildRequires: 

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi


%description
proc-rpmnew processes the file which an extension called rpmnew or rpmsave
created at the time of upgrade of a rpm package attached.

%description -l ja
proc-rpmnewは、RPMパッケージのアップグレード時に作成されるrpmnewやrpmsaveと
いった拡張子のファイルを処理します。


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_datadir}/*
%{_sbindir}/proc-rpmnew



%changelog
* Wed Jul 22 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.2-1%{?_dist_release}
- initial build for Vine Linux

