%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define pkg_version 1.0.2
%define pkg_release 2%{?_dist_release}

Summary:	Python bindings for Clutter
Summary(ja):	Clutter 用 Python バインディング
Name:		pyclutter
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://www.clutter-project.org/sources/%{name}/1.0/%{name}-%{version}.tar.bz2
License:	LGPLv2+
Group:		Development/Languages 
URL:		http://www.clutter-project.org/ 

BuildRequires:	glib2-devel	>= 2.16.0
BuildRequires:	gtk2-devel	>= 2.10.0
BuildRequires:	clutter-devel	>= 1.0.0
BuildRequires:	pycairo-devel	>= 1.0.2
BuildRequires:	pygobject-devel	>= 2.12.1
BuildRequires:	python-devel	>= 2.5.0
BuildRequires:	pygtk2-devel	>= 2.8.0
BuildRequires:	pygobject-doc
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
This archive contains the Python modules that allow you to use the
Clutter toolkit in Python programs.


%package devel
Summary:	PyClutter development environment
Summary(ja):	PyClutter の開発環境
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pygobject-devel
Requires:	python-devel
Requires:	clutter-devel

%description devel
Header files and libraries for building a extension library for the pyclutter.


%prep
%setup -q


%build
%configure --enable-static=no 
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%{__rm} -rf ${RPM_BUILD_ROOT}%{python_sitearch}/clutter/*.la


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitearch}/clutter
%{_datadir}/gtk-doc/html/pyclutter
%{_datadir}/pyclutter/1.0/defs

%files devel
%defattr(-,root,root)
%{_includedir}/pyclutter-1.0
%{_libdir}/pkgconfig/pyclutter-1.0.pc


%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat May 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.2-1
- initial build for Vine Linux

