%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define pkg_release	3%{?_dist_release}

Summary:	 Next generation web server framework built with Twisted
Summary(ja): 	Twisted で構築された次世代のウェブサーバ・フレームワーク
Name:		python-twisted-web2
Version:	8.1.0
Release: 	%{pkg_release}
Source0:	http://tmrc.mit.edu/mirror/twisted/Twisted/8.1/TwistedWeb2-%{version}.tar.bz2
License:	MIT
Group:		Development/Languages
URL:		http://twistedmatrix.com/trac/

Requires:	python, python-twisted
BuildRequires:	python, python-devel, python-twisted
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
Twisted.Web2 is the next generation Web Server Framework built
with Twisted.

Web2 is under active development and it's APIs should not be
considered stable at this point. It is not a version of Twisted.Web
and with that in mind compatibility is not of the highest concern,
though the compatibility layer does support many but not all
twisted.web resources.

%description -l ja
Twisted.Web2 は Twisted で構築された次世代のウェブサーバ・フレーム
ワークです。

Web2 は今も活発な開発が行われおり、現時点では API が確定したとは
いえません。またこれは Twisted.Web の派生バージョンではないので、
Twisted.Web との互換性の確保はそれほど重要視されていません。
そのため、互換性レイヤは Twisted.Web のリソースの、多くの部分を
カバーしてはいますが、全ては網羅していません。


%prep

%setup -q -n TwistedWeb2-%{version}


%build
%{__python} setup.py build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
#%%{__python} setup.py install --root ${RPM_BUILD_ROOT}
%{__python} setup.py install --root ${RPM_BUILD_ROOT} --install-purelib=%{python_sitearch}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE NEWS README doc/*
%{python_sitearch}/twisted/web2
#%{python_sitearch}/Twisted_Web2-8.1.0-py2.5.egg-info
%{python_sitearch}/Twisted_Web2-8.1.0-py%{pyver}.egg-info
%{python_sitearch}/twisted/plugins/twisted_web2.py*


%changelog
* Thu Feb 04 2010 Shu KONNO <owa@bg.wakwak.com> 8.1.0-3
- rebuilt with python-2.6.4-3
- fixed egg path

* Wed Dec 31 2008 Shu KONNO <owa@bg.wakwak.com> 8.1.0-2
- added '--install-purelib=%%{python_sitearch}' at %%install

* Tue Dec 23 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 8.1.0-1
- initial build for Vine Linux
