%define pkg_version 0.1.1
%define pkg_release 1%{?_dist_release}

Summary:	Color profiles from contributors for color calibration
Name:		shared-color-profiles
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.gz
License:	GPLv2, zlib
Group:		User Interface/Desktops 
URL:		http://github.com/hughsie/shared-color-profiles 

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Shared Color Profiles contain ICC profiles from different vendors that are all
free, either public domain, CC-BY-SA or CC-BY-ND.

These include a Adobe RGB compatible and sRGB compatible, as well as various
user or manufacturer supplied profiles.


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_datadir}/color/icc
%{_datadir}/shared-color-profiles


%changelog
* Sat May 15 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.1-1
- initial build for Vine Linux

