Summary: sitecopy is for easily maintaining remote web sites.
Summary(ja): sitecopy はリモートでのウェブサイトの管理を楽にします。
Name: sitecopy
Version: 0.16.2
Release: 1%{?_dist_release}
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/Internet
URL: http://www.lyra.org/sitecopy/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: neon-devel zlib-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
sitecopy is for easily maintaining remote web sites. The program will upload files to the server which have changed locally, and delete files from the server which have been removed locally, to keep the remote site synchronized with the local site with a single command.

%description -l ja
sitecopyはリモートでのウェブサイトの管理を楽にします。
たったひとつのコマンドでローカルのホストで更新のあったファイルや、削除されたファイルをサーバ上のファイルに反映させる事により常にローカルホストとサーバを同調させることが出来ます。


%prep
%setup -q

%build
%configure
%__make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

# remove unpacked files
%{__rm} -rf $RPM_BUILD_ROOT%{_prefix}/doc
%{__rm} -rf $RPM_BUILD_ROOT%{_mandir}/fr

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog INSTALL NEWS README.emx README.gnome THANKS TODO
%doc doc/update.sh
%{_bindir}/sitecopy
#%{_mandir}/*/man1/sitecopy.1.gz
%{_mandir}/man1/sitecopy.1.gz
%{_datadir}/locale/*/*/sitecopy.mo
%{_datadir}/sitecopy

%changelog
* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 0.16.1-1vl5
- applied new versioning policy, spec in utf-8

* Sun Mar 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16.1-0vl1
- new upstream release
- added BuildRequires: neon-devel, zlib-devel

* Thu Jun 16 2005 TOSHI <toshi-52@s5.dion.ne.jp> 0.15.1-0vl2
-add %doc
-A revision %files

* Sun May 22 2005 TOSHI <toshi-52@s5.dion.ne.jp> 0.15.1-0vl1
-First Update!
- initial build for Vine Linux


# end of file

