Summary: Virtual package for XFce
Summary(ja): XFce バーチャルパッケージ
Name: task-xfce
Version: 4.6.1
Release: 2%{?_dist_release}
License: public domain
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Requires: gtk-xfce-engine
Requires: libxfce4util libxfcegui4 xfconf libexo
Requires: xfce4-settings
Requires: xfce-utils
Requires: xfce4-panel
Requires: xfce4-mixer
Requires: xfdesktop xfprint
Requires: xfwm4 xfwm4-themes
Requires: xfce4-icon-theme
Requires: xfce4-appfinder
Requires: xfce4-session xfce4-session-engines
Requires: Thunar Terminal mousepad orage

%description
This is a virtual package to install XFce system packages.
If you use apt-get for RPM, This package willinstall
all packages related to XFce automatically.

%description -l ja
XFce を簡単にインストールするための仮想パッケージです。
apt-get を使ってこのパッケージをインストールすることで、
関連するXFceパッケージをすべてインストールすることができます。

%changelog
* Fri Sep 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-2
- added Requires: xfce4-icon-theme <wishes:192>

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- XFce 4.6.1
- applied new versioning policy, spec in UTF-8

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4-0vl1
- Xfce 4.4
- delete dbh, xfce4-iconbox, xfce4-systray, xfce4-toys, xfce4-trigger-launcher, xffm, xfcalendar
- add libexo, Thunar, Terminal, mousepad, orage

* Thu Feb 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2-0vl4
- delete xfce4-themes

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2-0vl3
- Xfce 4.2.0
- add xfce4-appfinder, xfce4-icon-theme, xfce4-session*
- delete xffm-icons

* Fri Jan 09 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0-0vl2
- add xfcalendar

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0-0vl1
- initial release

%files
