Summary: TeX Live packaging utilities for Vine Linux
Summary(ja): Vine Linux 用 TeX Live パッケージングユーティリティ
Name: texlive-vtlpkg
Version: 2009
Release: 2%{?_dist_release}
License: GPLv2+
Group: Development/Tools
Url: http://trac.vinelinux.org/wiki/TeXEnvironment

Source0: %{name}-%{version}.tar.bz2

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: sed
Requires: bash
Requires: texlive-sources = %{version}

Vendor: Project Vine
Distribution: Vine Linux
Packager: munepi

%description
texlive-vtlpkg is used to create a package of TeX Live for Vine Linux. 
It provides tlpdb2rpmspec. 

%description -l ja
texlive-vtlpkg は Vine Linux 用 TeX Live パッケージ作るユーティリティです。
tlpdb2rpmspec を提供しています。


%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup

%build
%__make

%install
%__make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_bindir}/tlpdb2rpmspec
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*


%changelog
* Sun Sep 26 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-2
- updated tlpdb2rpmspec.sh.in: 
  - removed arch dependent binaries (texlive-collection-latexextra)
  - improved updmap process in %%post and %%postun
  - fixed perl path

* Fri Jul 30 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- initial build
