Name: vine-logos
Summary: Vine Linux Logo files
Summary(ja): Vine Linux のロゴファイル
Version: 1.2.1
Release: 1%{?_dist_release}
Group: System Environment/Base
Source0: vine-logos.tar.bz2
License: Copyright 1999-2006 Project Vine, all rights reserved
Buildroot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch

Vendor: Project Vine
Distribution: Vine Linux

%description
This package includes Vine Linux logo files.

%description -l ja
このパッケージには Vine Linux のロゴファイルが含まれています。
Vine Linux の葡萄ロゴは Project Vine の商標です。

%prep
%setup -q -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/vine
for i in *; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/vine
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/pixmaps/vine

%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.1-1vl5
- applied new versioning policy, spec in utf-8

* Wed Sep 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.1-0vl4
- rebuild to add gpg sign
- use License:

* Sat Jul 19 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-0vl3
- use rpmmacros

* Sat Jan  6 2001 Tomoya TAKA <tomoya@olive.plala.or.jp> 1.2.1-0vl2
- replaced vine-gnome-splash2.png and vlogo012.png with new ones
  Thanks to Mr.lain <distortion@coolbrain.net>

* Sat Dec  9 2000 Jun Nishii <jun@vinelinux.org>
- 1.2.1-0vl1
- rename vine-gnome-splash.png as vine-gnome-splash2.png
- add vine-gnome-splash.png by Mr. Furukawa, originally merged in gnome-core

* Mon Dec  4 2000 Jun Nishii <jun@vinelinux.org>
- 1.2-0vl1
- added vlogo012.png and vine-gnome-splash.png by Mr.lain <distortion@coolbrain.net>

* Mon Dec  4 2000 Jun Nishii <jun@vinelinux.org>
- 1.1-0vl1
- added vlogo003.png by Mr.lain <distortion@coolbrain.net>

* Wed Jan  5 2000 Jun Nishii <jun@vinelinux.org>
- change group

* Sat Nov 13 1999 Jun Nishii <jun@flatout.org>
- improve some logos

* Tue Apr 20 1999 Jun Nishii <jun@flatout.org>
- modified for Vine Linux

* Tue Mar 30 1999 Michael Fulbright <drmike@redhat.com>
- added 48 pixel rounded logo image for gmc use

* Mon Mar 29 1999 Preston Brown <pbrown@redhat.com>
- package created
