Summary: library which allows access to Microsoft Word files
Summary(ja): Microsoft Word 形式のファイルを扱うためのライブラリ
Name: wv2
Version: 0.3.1
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: http://download.sourceforge.net/wvware/wv2-%{version}.tar.bz2
URL: http://wvWare.sourceforge.net/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgsf-devel >= 1.7.2
BuildRequires: libxml2-devel

%description
wv is a library which allows access to Microsoft Word files. It can load 
and parse Word 2000, 97, 95 and 6 file formats. (These are the file formats 
known internally as Word 9, 8, 7 and 6.) There is some support for reading 
earlier formats as well: Word 2 docs are converted to plaintext. 

%package devel
Summary: Development files for wv2
Summary(ja): wv2 の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for wv2

%prep
%setup -q

%build
CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-check-new" \
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" \
%configure 

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB ChangeLog README RELEASE THANKS TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/wv2/*
#{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Wed May  6 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.1-1
- new upstream release
- spec in UTF-8

* Tue Jul 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.3-1
- applied new versioning policy
- removed lib*.la files

* Sun May 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.3-0vl4
- rebuilt with new toolchain

* Sun Oct 22 2006 NAKAMURA Kenta <kenta@vinelinux.org> 0.2.3-0vl3
- added --libdir=%%{_libdir} configure option

* Tue Aug  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.3-0vl2
- rebuilt for VineSeed (4.0)

* Tue Aug  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.3-0vl1
- new upstream release (including security fix CVE-2006-2197)
- added Japanese summary

* Sat Jun 17 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.2.2-0vl4
- rebuild

* Sun Mar 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.2-0vl3
- rebuild with libgsf-1.14.0

* Thu Nov 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.2.2-0vl2
- rebuild with libgsf-1.13.3

* Sun Jul 11 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.2-0vl1
- source upgrade 

* Sat Sep 20 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.1.9-0vl1
- source upgrade
- build with gcc-3.2.3

* Fri Aug 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.1.8-0vl1
- source upgrade

* Mon Jul 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.1-0vl1
- first release
