%define name xbat
%define version 1.11
%define release 1%{?_dist_release}

Summary: Xbat is a action game for X Window System like XEVIOUS.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.nemoto.ecei.tohoku.ac.jp/~wai/Xbat/xev111.tar.gz
Patch0:  xev111.patch
License: GNU GENERAL PUBLIC LICENSE Version 2
Group: Applications/Games
URL: http://www.nemoto.ecei.tohoku.ac.jp/~wai/Xbat/xevious.html

#Requires: 
#BuildRequires: 
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Xbat is a action game for X Window System.
It is like XEVIOUS.
XEVIOUS is a video game that namco released in Dec.1983


%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -n Xev111 -q

%build
patch < ${RPM_SOURCE_DIR}/xev111.patch
xmkmf -a
make xbat

%install
make DESTDIR=${RPM_BUILD_ROOT} install
mkdir -p ${RPM_BUILD_ROOT}/usr/share/applications
cat >  ${RPM_BUILD_ROOT}/usr/share/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=XBat
Comment=Xbat is a action game like XEVIOUS.
TryExec=xbat
Exec=/usr/bin/xbat
Icon=
Terminal=0
Type=Application
Categories=GNOME;Application;Game
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
/usr/bin/xbat
/usr/share/games/Xbat
/usr/share/applications/%{name}.desktop

%changelog
* Tue Oct 14 2008 Shu KONNO <owa@bg.wakwak.com> 1.11-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jun 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.11-0vl2
- rebuild for VineSeed

* Tue Mar 9 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.11-0vl1
- initial build for Vine Linux

# end of file
