Summary: 	Utilities for the XFce Desktop Environment
Name: 		xfce-utils
Version: 	4.6.2
Release: 	1%{?_dist_release}
License:	GPLv2+
URL: 		http://www.xfce.org/
Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
Source1:	XFce4.desktop
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libxfcegui4-devel >= 4.6.0
BuildRequires:  libxfce4util-devel >= 4.6.0
BuildRequires:  gettext
BuildRequires:  dbus-devel 
BuildRequires:  dbus-glib-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  intltool

%description
This package includes utilities for the Xfce Desktop Environment.

%prep
%setup -q

%build
%configure --disable-static 

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

#mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/dm/Sessions
#install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/dm/Sessions

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%{_bindir}/*
%{_libexecdir}/xfce4
#{_datadir}/apps
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/xfce4
%{_datadir}/xsessions/xfce.desktop
#{_sysconfdir}/X11/dm/Sessions/*
#{_sysconfdir}/X11/gdm/Sessions
#{_sysconfdir}/X11/wmsession.d
%config(noreplace) %{_sysconfdir}/xdg


%changelog
* Sun May 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.2-2
- new upstream release
- built with new toolchain

* Thu Sep 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-2
- removed duplicated xfce4.desktop file

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- applied new versioning policy
- new upstream release.

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.2-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl1
- new upstream version

* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.3-0vl1
- new upstream release

* Mon Jun 13 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.2-0vl2
- new upstream release

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.1-0vl2
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.0-0vl2
- new upstream release
- add --enable-gdm option to configure

* Mon Jul 12 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.6-0vl1
- new upstream release

* Mon Apr 19 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.5-0vl1
- new upstream release

* Mon Mar 22 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.4-0vl1
- new upstream release

* Mon Feb 09 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3-0vl3
- add %{_sysconfdir}/xfce4/* in %files section

* Thu Jan 29 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3-0vl2
- remove --enable-gdm option from configure
- add source1 for gdm

* Thu Jan 08 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3-0vl1
- new upstream release

* Sun Jan 04 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.2-0vl1
- new upstream release

* Thu Nov 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.1-0vl1
- new upstream release

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.0-0vl1
- initial related for vine

