Summary: System Load plugin for XFce4
Summary(ja): XFce4用システムロードプラグイン
Name: xfce4-systemload-plugin
Version: 0.4.2
Release: 1%{?_dist_release}
License: BSD
Group: User Interface/Desktops
URL: http://xfce-goodies.berlios.de/
Source0: http://goodies.xfce.org/releases/xfce4-systemload-plugin/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel libxfce4util-devel libxfcegui4-devel

%description
A system load plugin for the Xfce4 desktop environment, written by Riccardo
Persichetti. It displays the current CPU load, the memory in use, the swap
space and the system uptime in the Xfce4 panel.

%description -l ja
Riccardo Persichetti が書いた XFce4 デスクトップ環境用のシステムロードプラグ
インです。CPU負荷、メモリ使用量、スワップスペース、システム稼働時間を XFce4
パネルに表示します。

%prep
rm -rf %{buildroot}

%setup -q

%build
%configure
make

%install
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_localedir}/*/LC_MESSAGES/%{name}.mo
%{_datadir}/xfce4/panel-plugins/systemload.desktop

%changelog
* Mon Oct 27 2008 Shu KONNO <owa@bg.wakwak.com> 0.4.2-1vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 22 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.4.2-0vl2
- new upstream release
- build with Xfce 4.4
- cleanup Requires and BuildRequires
- update %%files section

* Mon Jan 24 2005 UECHI Yasumasa <uechi@potaway.net> 0.3.6-0vl2
- new upstream release
- build against Xfce 4.2

* Fri Aug 20 2004 UECHI Yasumasa <uechi@potaway.net> 0.3.4-0vl2
- build for VineSeedPlus

* Fri Aug 20 2004 UECHI Yasumasa <uechi@potaway.net> 0.3.4-0vl1
- build for VinePlus 3.0

