%define name xsoldier
%define version 1.4
%define release 1%{?_dist_release}

Summary: xsoldier is a X11 shoot-em up game for Linux.
Summary(ja): X11上で動くシューティングゲーム
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: GNU General Public License
Group: Applications/Games
URL: http://www.interq.or.jp/libra/oohara/xsoldier/

Requires: SDL, SDL_image
BuildRequires:  SDL_image-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
xsoldier is a X11 shoot-em up game for Linux. It was created by Yuusuke HASHIMOTO <hachi@surfline.ne.jp>. The webpage of the original author is [http://www.surfline.ne.jp/hachi/xsoldier.html]. I took over the development of xsoldier.

#%desctiption -l ja


%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q

%build
./configure --prefix=/usr --with-sdl
make

%install
make DESTDIR=${RPM_BUILD_ROOT} mandir=%{_mandir} install
mkdir -p ${RPM_BUILD_ROOT}/usr/share/applications
cat >  ${RPM_BUILD_ROOT}/usr/share/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=xsoldier
Comment=xsoldier is a X11 shoot-em up game for Linux.
TryExec=xsoldier
Exec=/usr/bin/xsoldier
Icon=
Terminal=0
Type=Application
Categories=GNOME;Application;Game
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
/usr/bin/xsoldier
/usr/share/games/xsoldier
/usr/var/games/xsoldier/xsoldier.scores
/usr/share/applications/%{name}.desktop
%{_mandir}/man6/xsoldier.6.gz


%changelog
* Sat Sep 06 2008 Shu KONNO <owa@bg.wakwak.com> 1.4-1vl5
- applied new versioning policy, spec in utf-8
- updated man-path to %%{_mandir}

* Sun Jun 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.4-0vl2
- rebuild for VineSeed

* Wed Mar 21 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.4-0vl1
- initial build for Vine Linux

# end of file
