Summary: Firmware for the ZyDAS ZD1211 Driver.
Summary(ja): ZyDAS ZD1211 ドライバ用のファームウェア
Name: zd1211-firmware
Version: 1.4
Release: 1%{?_dist_release}
Source0: zd1211-firmware-%{version}.tar.bz2
License: GPL
Group: System Environment/Kernel
URL: http://sourceforge.net/project/showfiles.php?group_id=129083
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
Linux driver for the ZyDAS ZD1211(b) 802.11a/b/g USB WLAN chip. There
is the community zd1211 driver (based on the ZyDAS GPL driver) and the
rewritten zd1211rw driver (included in Linux 2.6.18-rc1 and newer).

%description -l ja
このパッケージは ZyDAS ZD1211(b) 802.11a/b/g USB ドライバ用のファームウェアです。

%prep
%setup -q -c

%install
%__rm -rf ${RPM_BUILD_ROOT}
%__mkdir_p ${RPM_BUILD_ROOT}/lib/firmware
%__install -p -m644 zd1211-firmware/* ${RPM_BUILD_ROOT}/lib/firmware

%clean
%__rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc zd1211-firmware/COPYING
%doc zd1211-firmware/README
/lib/firmware/*

%changelog
* Thu Apr 09 2009 Shu KONNO <owa@bg.wakwak.com> 1.4-1vl5
- initial build for Vine Linux

